de.caff.generics.tuple

## Class Tuple7<T1,T2,T3,T4,T5,T6,T7>

- java.lang.Object
- - de.caff.generics.tuple.ITuple7.Base<T1,T2,T3,T4,T5,T6,T7>
  - - de.caff.generics.tuple.Tuple7<T1,T2,T3,T4,T5,T6,T7>

- Type Parameters:
    `T1` - type of first element
    `T2` - type of second element
    `T3` - type of third element
    `T4` - type of fourth element
    `T5` - type of fifth element
    `T6` - type of sixth element
    `T7` - type of seventh element
  All Implemented Interfaces:
    ITuple7<T1,T2,T3,T4,T5,T6,T7>, java.io.Serializable

      public class Tuple7<T1,T2,T3,T4,T5,T6,T7>
      extends ITuple7.Base<T1,T2,T3,T4,T5,T6,T7>
      implements java.io.Serializable

  Immutable tuple with 7 non-null elements. If you want to iterate over a tuple or access its elements by index (note that both is only possible for a common super type of the tuple's types) `Indexable.viewTuple(ITuple7)` will come to help. Note that this class is automatically created by `tools.TupleClassCreator` (not yet public).
  Since:
    November 17, 2021
  Author:
    Rammi
  See Also:
    `NTuple7`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.tuple.ITuple7

      `ITuple7.Base<T1,T2,T3,T4,T5,T6,T7>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple7(T1 e1, T2 e2, T3 e3, T4 e4, T5 e5, T6 e6, T7 e7)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T1` | `_1()` Get the first element.
    `Tuple2<T1,T2>` | `_12()` Create a new 2-tuple from this one where the elements are ordered: 1st, 2nd.
    `Tuple3<T1,T2,T3>` | `_123()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 3rd.
    `Tuple4<T1,T2,T3,T4>` | `_1234()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th.
    `Tuple5<T1,T2,T3,T4,T5>` | `_12345()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th.
    `Tuple6<T1,T2,T3,T4,T5,T6>` | `_123456()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 6th.
    `Tuple6<T1,T2,T3,T4,T5,T7>` | `_123457()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 7th.
    `Tuple5<T1,T2,T3,T4,T6>` | `_12346()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th.
    `Tuple6<T1,T2,T3,T4,T6,T7>` | `_123467()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th, 7th.
    `Tuple5<T1,T2,T3,T4,T7>` | `_12347()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 7th.
    `Tuple4<T1,T2,T3,T5>` | `_1235()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th.
    `Tuple5<T1,T2,T3,T5,T6>` | `_12356()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th.
    `Tuple6<T1,T2,T3,T5,T6,T7>` | `_123567()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th, 7th.
    `Tuple5<T1,T2,T3,T5,T7>` | `_12357()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 7th.
    `Tuple4<T1,T2,T3,T6>` | `_1236()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th.
    `Tuple5<T1,T2,T3,T6,T7>` | `_12367()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th, 7th.
    `Tuple4<T1,T2,T3,T7>` | `_1237()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 7th.
    `Tuple3<T1,T2,T4>` | `_124()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 4th.
    `Tuple4<T1,T2,T4,T5>` | `_1245()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th.
    `Tuple5<T1,T2,T4,T5,T6>` | `_12456()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th.
    `Tuple6<T1,T2,T4,T5,T6,T7>` | `_124567()` Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th, 7th.
    `Tuple5<T1,T2,T4,T5,T7>` | `_12457()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 7th.
    `Tuple4<T1,T2,T4,T6>` | `_1246()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th.
    `Tuple5<T1,T2,T4,T6,T7>` | `_12467()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th, 7th.
    `Tuple4<T1,T2,T4,T7>` | `_1247()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 7th.
    `Tuple3<T1,T2,T5>` | `_125()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 5th.
    `Tuple4<T1,T2,T5,T6>` | `_1256()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th.
    `Tuple5<T1,T2,T5,T6,T7>` | `_12567()` Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th, 7th.
    `Tuple4<T1,T2,T5,T7>` | `_1257()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 7th.
    `Tuple3<T1,T2,T6>` | `_126()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 6th.
    `Tuple4<T1,T2,T6,T7>` | `_1267()` Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 6th, 7th.
    `Tuple3<T1,T2,T7>` | `_127()` Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 7th.
    `Tuple2<T1,T3>` | `_13()` Create a new 2-tuple from this one where the elements are ordered: 1st, 3rd.
    `Tuple3<T1,T3,T2>` | `_132()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 2nd.
    `Tuple3<T1,T3,T4>` | `_134()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 4th.
    `Tuple4<T1,T3,T4,T5>` | `_1345()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th.
    `Tuple5<T1,T3,T4,T5,T6>` | `_13456()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th.
    `Tuple6<T1,T3,T4,T5,T6,T7>` | `_134567()` Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th, 7th.
    `Tuple5<T1,T3,T4,T5,T7>` | `_13457()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 7th.
    `Tuple4<T1,T3,T4,T6>` | `_1346()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th.
    `Tuple5<T1,T3,T4,T6,T7>` | `_13467()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th, 7th.
    `Tuple4<T1,T3,T4,T7>` | `_1347()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 7th.
    `Tuple3<T1,T3,T5>` | `_135()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 5th.
    `Tuple4<T1,T3,T5,T6>` | `_1356()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th.
    `Tuple5<T1,T3,T5,T6,T7>` | `_13567()` Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th, 7th.
    `Tuple4<T1,T3,T5,T7>` | `_1357()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 7th.
    `Tuple3<T1,T3,T6>` | `_136()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 6th.
    `Tuple4<T1,T3,T6,T7>` | `_1367()` Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 6th, 7th.
    `Tuple3<T1,T3,T7>` | `_137()` Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 7th.
    `Tuple2<T1,T4>` | `_14()` Create a new 2-tuple from this one where the elements are ordered: 1st, 4th.
    `Tuple3<T1,T4,T2>` | `_142()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 2nd.
    `Tuple3<T1,T4,T3>` | `_143()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 3rd.
    `Tuple3<T1,T4,T5>` | `_145()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 5th.
    `Tuple4<T1,T4,T5,T6>` | `_1456()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th.
    `Tuple5<T1,T4,T5,T6,T7>` | `_14567()` Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th, 7th.
    `Tuple4<T1,T4,T5,T7>` | `_1457()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 7th.
    `Tuple3<T1,T4,T6>` | `_146()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 6th.
    `Tuple4<T1,T4,T6,T7>` | `_1467()` Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 6th, 7th.
    `Tuple3<T1,T4,T7>` | `_147()` Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 7th.
    `Tuple2<T1,T5>` | `_15()` Create a new 2-tuple from this one where the elements are ordered: 1st, 5th.
    `Tuple3<T1,T5,T2>` | `_152()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 2nd.
    `Tuple3<T1,T5,T3>` | `_153()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 3rd.
    `Tuple3<T1,T5,T4>` | `_154()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 4th.
    `Tuple3<T1,T5,T6>` | `_156()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 6th.
    `Tuple4<T1,T5,T6,T7>` | `_1567()` Create a new 4-tuple from this one where the elements are ordered: 1st, 5th, 6th, 7th.
    `Tuple3<T1,T5,T7>` | `_157()` Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 7th.
    `Tuple2<T1,T6>` | `_16()` Create a new 2-tuple from this one where the elements are ordered: 1st, 6th.
    `Tuple3<T1,T6,T2>` | `_162()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 2nd.
    `Tuple3<T1,T6,T3>` | `_163()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 3rd.
    `Tuple3<T1,T6,T4>` | `_164()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 4th.
    `Tuple3<T1,T6,T5>` | `_165()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 5th.
    `Tuple3<T1,T6,T7>` | `_167()` Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 7th.
    `Tuple2<T1,T7>` | `_17()` Create a new 2-tuple from this one where the elements are ordered: 1st, 7th.
    `Tuple3<T1,T7,T2>` | `_172()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 2nd.
    `Tuple3<T1,T7,T3>` | `_173()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 3rd.
    `Tuple3<T1,T7,T4>` | `_174()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 4th.
    `Tuple3<T1,T7,T5>` | `_175()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 5th.
    `Tuple3<T1,T7,T6>` | `_176()` Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 6th.
    `T2` | `_2()` Get the second element.
    `Tuple2<T2,T1>` | `_21()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 1st.
    `Tuple3<T2,T1,T3>` | `_213()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 3rd.
    `Tuple3<T2,T1,T4>` | `_214()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 4th.
    `Tuple3<T2,T1,T5>` | `_215()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 5th.
    `Tuple3<T2,T1,T6>` | `_216()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 6th.
    `Tuple3<T2,T1,T7>` | `_217()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 7th.
    `Tuple2<T2,T3>` | `_23()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 3rd.
    `Tuple3<T2,T3,T1>` | `_231()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 1st.
    `Tuple3<T2,T3,T4>` | `_234()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 4th.
    `Tuple4<T2,T3,T4,T5>` | `_2345()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th.
    `Tuple5<T2,T3,T4,T5,T6>` | `_23456()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th.
    `Tuple6<T2,T3,T4,T5,T6,T7>` | `_234567()` Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th, 7th.
    `Tuple5<T2,T3,T4,T5,T7>` | `_23457()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 7th.
    `Tuple4<T2,T3,T4,T6>` | `_2346()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th.
    `Tuple5<T2,T3,T4,T6,T7>` | `_23467()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th, 7th.
    `Tuple4<T2,T3,T4,T7>` | `_2347()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 7th.
    `Tuple3<T2,T3,T5>` | `_235()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 5th.
    `Tuple4<T2,T3,T5,T6>` | `_2356()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th.
    `Tuple5<T2,T3,T5,T6,T7>` | `_23567()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th, 7th.
    `Tuple4<T2,T3,T5,T7>` | `_2357()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 7th.
    `Tuple3<T2,T3,T6>` | `_236()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 6th.
    `Tuple4<T2,T3,T6,T7>` | `_2367()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 6th, 7th.
    `Tuple3<T2,T3,T7>` | `_237()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 7th.
    `Tuple2<T2,T4>` | `_24()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 4th.
    `Tuple3<T2,T4,T1>` | `_241()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 1st.
    `Tuple3<T2,T4,T3>` | `_243()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 3rd.
    `Tuple3<T2,T4,T5>` | `_245()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 5th.
    `Tuple4<T2,T4,T5,T6>` | `_2456()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th.
    `Tuple5<T2,T4,T5,T6,T7>` | `_24567()` Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th, 7th.
    `Tuple4<T2,T4,T5,T7>` | `_2457()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 7th.
    `Tuple3<T2,T4,T6>` | `_246()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 6th.
    `Tuple4<T2,T4,T6,T7>` | `_2467()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 6th, 7th.
    `Tuple3<T2,T4,T7>` | `_247()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 7th.
    `Tuple2<T2,T5>` | `_25()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 5th.
    `Tuple3<T2,T5,T1>` | `_251()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 1st.
    `Tuple3<T2,T5,T3>` | `_253()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 3rd.
    `Tuple3<T2,T5,T4>` | `_254()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 4th.
    `Tuple3<T2,T5,T6>` | `_256()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 6th.
    `Tuple4<T2,T5,T6,T7>` | `_2567()` Create a new 4-tuple from this one where the elements are ordered: 2nd, 5th, 6th, 7th.
    `Tuple3<T2,T5,T7>` | `_257()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 7th.
    `Tuple2<T2,T6>` | `_26()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 6th.
    `Tuple3<T2,T6,T1>` | `_261()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 1st.
    `Tuple3<T2,T6,T3>` | `_263()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 3rd.
    `Tuple3<T2,T6,T4>` | `_264()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 4th.
    `Tuple3<T2,T6,T5>` | `_265()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 5th.
    `Tuple3<T2,T6,T7>` | `_267()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 7th.
    `Tuple2<T2,T7>` | `_27()` Create a new 2-tuple from this one where the elements are ordered: 2nd, 7th.
    `Tuple3<T2,T7,T1>` | `_271()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 1st.
    `Tuple3<T2,T7,T3>` | `_273()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 3rd.
    `Tuple3<T2,T7,T4>` | `_274()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 4th.
    `Tuple3<T2,T7,T5>` | `_275()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 5th.
    `Tuple3<T2,T7,T6>` | `_276()` Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 6th.
    `T3` | `_3()` Get the third element.
    `Tuple2<T3,T1>` | `_31()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 1st.
    `Tuple3<T3,T1,T2>` | `_312()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 2nd.
    `Tuple3<T3,T1,T4>` | `_314()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 4th.
    `Tuple3<T3,T1,T5>` | `_315()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 5th.
    `Tuple3<T3,T1,T6>` | `_316()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 6th.
    `Tuple3<T3,T1,T7>` | `_317()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 7th.
    `Tuple2<T3,T2>` | `_32()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 2nd.
    `Tuple3<T3,T2,T1>` | `_321()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 1st.
    `Tuple3<T3,T2,T4>` | `_324()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 4th.
    `Tuple3<T3,T2,T5>` | `_325()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 5th.
    `Tuple3<T3,T2,T6>` | `_326()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 6th.
    `Tuple3<T3,T2,T7>` | `_327()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 7th.
    `Tuple2<T3,T4>` | `_34()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 4th.
    `Tuple3<T3,T4,T1>` | `_341()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 1st.
    `Tuple3<T3,T4,T2>` | `_342()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 2nd.
    `Tuple3<T3,T4,T5>` | `_345()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 5th.
    `Tuple4<T3,T4,T5,T6>` | `_3456()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th.
    `Tuple5<T3,T4,T5,T6,T7>` | `_34567()` Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th, 7th.
    `Tuple4<T3,T4,T5,T7>` | `_3457()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 7th.
    `Tuple3<T3,T4,T6>` | `_346()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 6th.
    `Tuple4<T3,T4,T6,T7>` | `_3467()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 6th, 7th.
    `Tuple3<T3,T4,T7>` | `_347()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 7th.
    `Tuple2<T3,T5>` | `_35()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 5th.
    `Tuple3<T3,T5,T1>` | `_351()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 1st.
    `Tuple3<T3,T5,T2>` | `_352()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 2nd.
    `Tuple3<T3,T5,T4>` | `_354()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 4th.
    `Tuple3<T3,T5,T6>` | `_356()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 6th.
    `Tuple4<T3,T5,T6,T7>` | `_3567()` Create a new 4-tuple from this one where the elements are ordered: 3rd, 5th, 6th, 7th.
    `Tuple3<T3,T5,T7>` | `_357()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 7th.
    `Tuple2<T3,T6>` | `_36()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 6th.
    `Tuple3<T3,T6,T1>` | `_361()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 1st.
    `Tuple3<T3,T6,T2>` | `_362()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 2nd.
    `Tuple3<T3,T6,T4>` | `_364()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 4th.
    `Tuple3<T3,T6,T5>` | `_365()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 5th.
    `Tuple3<T3,T6,T7>` | `_367()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 7th.
    `Tuple2<T3,T7>` | `_37()` Create a new 2-tuple from this one where the elements are ordered: 3rd, 7th.
    `Tuple3<T3,T7,T1>` | `_371()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 1st.
    `Tuple3<T3,T7,T2>` | `_372()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 2nd.
    `Tuple3<T3,T7,T4>` | `_374()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 4th.
    `Tuple3<T3,T7,T5>` | `_375()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 5th.
    `Tuple3<T3,T7,T6>` | `_376()` Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 6th.
    `T4` | `_4()` Get the fourth element.
    `Tuple2<T4,T1>` | `_41()` Create a new 2-tuple from this one where the elements are ordered: 4th, 1st.
    `Tuple3<T4,T1,T2>` | `_412()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 2nd.
    `Tuple3<T4,T1,T3>` | `_413()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 3rd.
    `Tuple3<T4,T1,T5>` | `_415()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 5th.
    `Tuple3<T4,T1,T6>` | `_416()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 6th.
    `Tuple3<T4,T1,T7>` | `_417()` Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 7th.
    `Tuple2<T4,T2>` | `_42()` Create a new 2-tuple from this one where the elements are ordered: 4th, 2nd.
    `Tuple3<T4,T2,T1>` | `_421()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 1st.
    `Tuple3<T4,T2,T3>` | `_423()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 3rd.
    `Tuple3<T4,T2,T5>` | `_425()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 5th.
    `Tuple3<T4,T2,T6>` | `_426()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 6th.
    `Tuple3<T4,T2,T7>` | `_427()` Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 7th.
    `Tuple2<T4,T3>` | `_43()` Create a new 2-tuple from this one where the elements are ordered: 4th, 3rd.
    `Tuple3<T4,T3,T1>` | `_431()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 1st.
    `Tuple3<T4,T3,T2>` | `_432()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 2nd.
    `Tuple3<T4,T3,T5>` | `_435()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 5th.
    `Tuple3<T4,T3,T6>` | `_436()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 6th.
    `Tuple3<T4,T3,T7>` | `_437()` Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 7th.
    `Tuple2<T4,T5>` | `_45()` Create a new 2-tuple from this one where the elements are ordered: 4th, 5th.
    `Tuple3<T4,T5,T1>` | `_451()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 1st.
    `Tuple3<T4,T5,T2>` | `_452()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 2nd.
    `Tuple3<T4,T5,T3>` | `_453()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 3rd.
    `Tuple3<T4,T5,T6>` | `_456()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 6th.
    `Tuple4<T4,T5,T6,T7>` | `_4567()` Create a new 4-tuple from this one where the elements are ordered: 4th, 5th, 6th, 7th.
    `Tuple3<T4,T5,T7>` | `_457()` Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 7th.
    `Tuple2<T4,T6>` | `_46()` Create a new 2-tuple from this one where the elements are ordered: 4th, 6th.
    `Tuple3<T4,T6,T1>` | `_461()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 1st.
    `Tuple3<T4,T6,T2>` | `_462()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 2nd.
    `Tuple3<T4,T6,T3>` | `_463()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 3rd.
    `Tuple3<T4,T6,T5>` | `_465()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 5th.
    `Tuple3<T4,T6,T7>` | `_467()` Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 7th.
    `Tuple2<T4,T7>` | `_47()` Create a new 2-tuple from this one where the elements are ordered: 4th, 7th.
    `Tuple3<T4,T7,T1>` | `_471()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 1st.
    `Tuple3<T4,T7,T2>` | `_472()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 2nd.
    `Tuple3<T4,T7,T3>` | `_473()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 3rd.
    `Tuple3<T4,T7,T5>` | `_475()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 5th.
    `Tuple3<T4,T7,T6>` | `_476()` Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 6th.
    `T5` | `_5()` Get the fifth element.
    `Tuple2<T5,T1>` | `_51()` Create a new 2-tuple from this one where the elements are ordered: 5th, 1st.
    `Tuple3<T5,T1,T2>` | `_512()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 2nd.
    `Tuple3<T5,T1,T3>` | `_513()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 3rd.
    `Tuple3<T5,T1,T4>` | `_514()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 4th.
    `Tuple3<T5,T1,T6>` | `_516()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 6th.
    `Tuple3<T5,T1,T7>` | `_517()` Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 7th.
    `Tuple2<T5,T2>` | `_52()` Create a new 2-tuple from this one where the elements are ordered: 5th, 2nd.
    `Tuple3<T5,T2,T1>` | `_521()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 1st.
    `Tuple3<T5,T2,T3>` | `_523()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 3rd.
    `Tuple3<T5,T2,T4>` | `_524()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 4th.
    `Tuple3<T5,T2,T6>` | `_526()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 6th.
    `Tuple3<T5,T2,T7>` | `_527()` Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 7th.
    `Tuple2<T5,T3>` | `_53()` Create a new 2-tuple from this one where the elements are ordered: 5th, 3rd.
    `Tuple3<T5,T3,T1>` | `_531()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 1st.
    `Tuple3<T5,T3,T2>` | `_532()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 2nd.
    `Tuple3<T5,T3,T4>` | `_534()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 4th.
    `Tuple3<T5,T3,T6>` | `_536()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 6th.
    `Tuple3<T5,T3,T7>` | `_537()` Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 7th.
    `Tuple2<T5,T4>` | `_54()` Create a new 2-tuple from this one where the elements are ordered: 5th, 4th.
    `Tuple3<T5,T4,T1>` | `_541()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 1st.
    `Tuple3<T5,T4,T2>` | `_542()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 2nd.
    `Tuple3<T5,T4,T3>` | `_543()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 3rd.
    `Tuple3<T5,T4,T6>` | `_546()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 6th.
    `Tuple3<T5,T4,T7>` | `_547()` Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 7th.
    `Tuple2<T5,T6>` | `_56()` Create a new 2-tuple from this one where the elements are ordered: 5th, 6th.
    `Tuple3<T5,T6,T1>` | `_561()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 1st.
    `Tuple3<T5,T6,T2>` | `_562()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 2nd.
    `Tuple3<T5,T6,T3>` | `_563()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 3rd.
    `Tuple3<T5,T6,T4>` | `_564()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 4th.
    `Tuple3<T5,T6,T7>` | `_567()` Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 7th.
    `Tuple2<T5,T7>` | `_57()` Create a new 2-tuple from this one where the elements are ordered: 5th, 7th.
    `Tuple3<T5,T7,T1>` | `_571()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 1st.
    `Tuple3<T5,T7,T2>` | `_572()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 2nd.
    `Tuple3<T5,T7,T3>` | `_573()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 3rd.
    `Tuple3<T5,T7,T4>` | `_574()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 4th.
    `Tuple3<T5,T7,T6>` | `_576()` Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 6th.
    `T6` | `_6()` Get the sixth element.
    `Tuple2<T6,T1>` | `_61()` Create a new 2-tuple from this one where the elements are ordered: 6th, 1st.
    `Tuple3<T6,T1,T2>` | `_612()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 2nd.
    `Tuple3<T6,T1,T3>` | `_613()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 3rd.
    `Tuple3<T6,T1,T4>` | `_614()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 4th.
    `Tuple3<T6,T1,T5>` | `_615()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 5th.
    `Tuple3<T6,T1,T7>` | `_617()` Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 7th.
    `Tuple2<T6,T2>` | `_62()` Create a new 2-tuple from this one where the elements are ordered: 6th, 2nd.
    `Tuple3<T6,T2,T1>` | `_621()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 1st.
    `Tuple3<T6,T2,T3>` | `_623()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 3rd.
    `Tuple3<T6,T2,T4>` | `_624()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 4th.
    `Tuple3<T6,T2,T5>` | `_625()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 5th.
    `Tuple3<T6,T2,T7>` | `_627()` Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 7th.
    `Tuple2<T6,T3>` | `_63()` Create a new 2-tuple from this one where the elements are ordered: 6th, 3rd.
    `Tuple3<T6,T3,T1>` | `_631()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 1st.
    `Tuple3<T6,T3,T2>` | `_632()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 2nd.
    `Tuple3<T6,T3,T4>` | `_634()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 4th.
    `Tuple3<T6,T3,T5>` | `_635()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 5th.
    `Tuple3<T6,T3,T7>` | `_637()` Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 7th.
    `Tuple2<T6,T4>` | `_64()` Create a new 2-tuple from this one where the elements are ordered: 6th, 4th.
    `Tuple3<T6,T4,T1>` | `_641()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 1st.
    `Tuple3<T6,T4,T2>` | `_642()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 2nd.
    `Tuple3<T6,T4,T3>` | `_643()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 3rd.
    `Tuple3<T6,T4,T5>` | `_645()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 5th.
    `Tuple3<T6,T4,T7>` | `_647()` Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 7th.
    `Tuple2<T6,T5>` | `_65()` Create a new 2-tuple from this one where the elements are ordered: 6th, 5th.
    `Tuple3<T6,T5,T1>` | `_651()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 1st.
    `Tuple3<T6,T5,T2>` | `_652()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 2nd.
    `Tuple3<T6,T5,T3>` | `_653()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 3rd.
    `Tuple3<T6,T5,T4>` | `_654()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 4th.
    `Tuple3<T6,T5,T7>` | `_657()` Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 7th.
    `Tuple2<T6,T7>` | `_67()` Create a new 2-tuple from this one where the elements are ordered: 6th, 7th.
    `Tuple3<T6,T7,T1>` | `_671()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 1st.
    `Tuple3<T6,T7,T2>` | `_672()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 2nd.
    `Tuple3<T6,T7,T3>` | `_673()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 3rd.
    `Tuple3<T6,T7,T4>` | `_674()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 4th.
    `Tuple3<T6,T7,T5>` | `_675()` Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 5th.
    `T7` | `_7()` Get the seventh element.
    `Tuple2<T7,T1>` | `_71()` Create a new 2-tuple from this one where the elements are ordered: 7th, 1st.
    `Tuple3<T7,T1,T2>` | `_712()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 2nd.
    `Tuple3<T7,T1,T3>` | `_713()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 3rd.
    `Tuple3<T7,T1,T4>` | `_714()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 4th.
    `Tuple3<T7,T1,T5>` | `_715()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 5th.
    `Tuple3<T7,T1,T6>` | `_716()` Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 6th.
    `Tuple2<T7,T2>` | `_72()` Create a new 2-tuple from this one where the elements are ordered: 7th, 2nd.
    `Tuple3<T7,T2,T1>` | `_721()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 1st.
    `Tuple3<T7,T2,T3>` | `_723()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 3rd.
    `Tuple3<T7,T2,T4>` | `_724()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 4th.
    `Tuple3<T7,T2,T5>` | `_725()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 5th.
    `Tuple3<T7,T2,T6>` | `_726()` Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 6th.
    `Tuple2<T7,T3>` | `_73()` Create a new 2-tuple from this one where the elements are ordered: 7th, 3rd.
    `Tuple3<T7,T3,T1>` | `_731()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 1st.
    `Tuple3<T7,T3,T2>` | `_732()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 2nd.
    `Tuple3<T7,T3,T4>` | `_734()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 4th.
    `Tuple3<T7,T3,T5>` | `_735()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 5th.
    `Tuple3<T7,T3,T6>` | `_736()` Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 6th.
    `Tuple2<T7,T4>` | `_74()` Create a new 2-tuple from this one where the elements are ordered: 7th, 4th.
    `Tuple3<T7,T4,T1>` | `_741()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 1st.
    `Tuple3<T7,T4,T2>` | `_742()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 2nd.
    `Tuple3<T7,T4,T3>` | `_743()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 3rd.
    `Tuple3<T7,T4,T5>` | `_745()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 5th.
    `Tuple3<T7,T4,T6>` | `_746()` Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 6th.
    `Tuple2<T7,T5>` | `_75()` Create a new 2-tuple from this one where the elements are ordered: 7th, 5th.
    `Tuple3<T7,T5,T1>` | `_751()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 1st.
    `Tuple3<T7,T5,T2>` | `_752()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 2nd.
    `Tuple3<T7,T5,T3>` | `_753()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 3rd.
    `Tuple3<T7,T5,T4>` | `_754()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 4th.
    `Tuple3<T7,T5,T6>` | `_756()` Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 6th.
    `Tuple2<T7,T6>` | `_76()` Create a new 2-tuple from this one where the elements are ordered: 7th, 6th.
    `Tuple3<T7,T6,T1>` | `_761()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 1st.
    `Tuple3<T7,T6,T2>` | `_762()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 2nd.
    `Tuple3<T7,T6,T3>` | `_763()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 3rd.
    `Tuple3<T7,T6,T4>` | `_764()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 4th.
    `Tuple3<T7,T6,T5>` | `_765()` Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 5th.
    `Tuple7<T1,T2,T3,T4,T5,T6,T7>` | `frozenNotNull()` Convert this into an object of a concrete tuple implementation.
    `<T> Tuple8<T,T1,T2,T3,T4,T5,T6,T7>` | `i1(T e1)` Create a 8-tuple from this 7-tuple by inserting a new first element.
    `<T> Tuple8<T1,T,T2,T3,T4,T5,T6,T7>` | `i2(T e2)` Create a 8-tuple from this 7-tuple by inserting a new second element.
    `<T> Tuple8<T1,T2,T,T3,T4,T5,T6,T7>` | `i3(T e3)` Create a 8-tuple from this 7-tuple by inserting a new third element.
    `<T> Tuple8<T1,T2,T3,T,T4,T5,T6,T7>` | `i4(T e4)` Create a 8-tuple from this 7-tuple by inserting a new fourth element.
    `<T> Tuple8<T1,T2,T3,T4,T,T5,T6,T7>` | `i5(T e5)` Create a 8-tuple from this 7-tuple by inserting a new fifth element.
    `<T> Tuple8<T1,T2,T3,T4,T5,T,T6,T7>` | `i6(T e6)` Create a 8-tuple from this 7-tuple by inserting a new sixth element.
    `<T> Tuple8<T1,T2,T3,T4,T5,T6,T,T7>` | `i7(T e7)` Create a 8-tuple from this 7-tuple by inserting a new seventh element.
    `<T> Tuple8<T1,T2,T3,T4,T5,T6,T7,T>` | `i8(T e8)` Create a 8-tuple from this 7-tuple by adding a new eighth element.
    `java.lang.String` | `toString()`
    `<E1> Tuple7<E1,T2,T3,T4,T5,T6,T7>` | `x1(E1 e1)` Create a 7-tuple from this one where the first element is exchanged.
    `<E1,E2> Tuple7<E1,E2,T3,T4,T5,T6,T7>` | `x12(E1 e1, E2 e2)` Create a 7-tuple from this one where the first and second elements are exchanged.
    `<E1,E2,E3> Tuple7<E1,E2,E3,T4,T5,T6,T7>` | `x123(E1 e1, E2 e2, E3 e3)` Create a 7-tuple from this one where the first, second, and thirdelements are exchanged.
    `<E1,E2,E3,E4> Tuple7<E1,E2,E3,E4,T5,T6,T7>` | `x1234(E1 e1, E2 e2, E3 e3, E4 e4)` Create a 7-tuple from this one where the first, second, third, and fourthelements are exchanged.
    `<E1,E2,E3,E4,E5> Tuple7<E1,E2,E3,E4,E5,T6,T7>` | `x12345(E1 e1, E2 e2, E3 e3, E4 e4, E5 e5)` Create a 7-tuple from this one where the first, second, third, fourth, and fifthelements are exchanged.
    `<E1,E2,E3,E4,E6> Tuple7<E1,E2,E3,E4,T5,E6,T7>` | `x12346(E1 e1, E2 e2, E3 e3, E4 e4, E6 e6)` Create a 7-tuple from this one where the first, second, third, fourth, and sixthelements are exchanged.
    `<E1,E2,E3,E4,E7> Tuple7<E1,E2,E3,E4,T5,T6,E7>` | `x12347(E1 e1, E2 e2, E3 e3, E4 e4, E7 e7)` Create a 7-tuple from this one where the first, second, third, fourth, and seventhelements are exchanged.
    `<E1,E2,E3,E5> Tuple7<E1,E2,E3,T4,E5,T6,T7>` | `x1235(E1 e1, E2 e2, E3 e3, E5 e5)` Create a 7-tuple from this one where the first, second, third, and fifthelements are exchanged.
    `<E1,E2,E3,E5,E6> Tuple7<E1,E2,E3,T4,E5,E6,T7>` | `x12356(E1 e1, E2 e2, E3 e3, E5 e5, E6 e6)` Create a 7-tuple from this one where the first, second, third, fifth, and sixthelements are exchanged.
    `<E1,E2,E3,E5,E7> Tuple7<E1,E2,E3,T4,E5,T6,E7>` | `x12357(E1 e1, E2 e2, E3 e3, E5 e5, E7 e7)` Create a 7-tuple from this one where the first, second, third, fifth, and seventhelements are exchanged.
    `<E1,E2,E3,E6> Tuple7<E1,E2,E3,T4,T5,E6,T7>` | `x1236(E1 e1, E2 e2, E3 e3, E6 e6)` Create a 7-tuple from this one where the first, second, third, and sixthelements are exchanged.
    `<E1,E2,E3,E6,E7> Tuple7<E1,E2,E3,T4,T5,E6,E7>` | `x12367(E1 e1, E2 e2, E3 e3, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, second, third, sixth, and seventhelements are exchanged.
    `<E1,E2,E3,E7> Tuple7<E1,E2,E3,T4,T5,T6,E7>` | `x1237(E1 e1, E2 e2, E3 e3, E7 e7)` Create a 7-tuple from this one where the first, second, third, and seventhelements are exchanged.
    `<E1,E2,E4> Tuple7<E1,E2,T3,E4,T5,T6,T7>` | `x124(E1 e1, E2 e2, E4 e4)` Create a 7-tuple from this one where the first, second, and fourthelements are exchanged.
    `<E1,E2,E4,E5> Tuple7<E1,E2,T3,E4,E5,T6,T7>` | `x1245(E1 e1, E2 e2, E4 e4, E5 e5)` Create a 7-tuple from this one where the first, second, fourth, and fifthelements are exchanged.
    `<E1,E2,E4,E5,E6> Tuple7<E1,E2,T3,E4,E5,E6,T7>` | `x12456(E1 e1, E2 e2, E4 e4, E5 e5, E6 e6)` Create a 7-tuple from this one where the first, second, fourth, fifth, and sixthelements are exchanged.
    `<E1,E2,E4,E5,E7> Tuple7<E1,E2,T3,E4,E5,T6,E7>` | `x12457(E1 e1, E2 e2, E4 e4, E5 e5, E7 e7)` Create a 7-tuple from this one where the first, second, fourth, fifth, and seventhelements are exchanged.
    `<E1,E2,E4,E6> Tuple7<E1,E2,T3,E4,T5,E6,T7>` | `x1246(E1 e1, E2 e2, E4 e4, E6 e6)` Create a 7-tuple from this one where the first, second, fourth, and sixthelements are exchanged.
    `<E1,E2,E4,E6,E7> Tuple7<E1,E2,T3,E4,T5,E6,E7>` | `x12467(E1 e1, E2 e2, E4 e4, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, second, fourth, sixth, and seventhelements are exchanged.
    `<E1,E2,E4,E7> Tuple7<E1,E2,T3,E4,T5,T6,E7>` | `x1247(E1 e1, E2 e2, E4 e4, E7 e7)` Create a 7-tuple from this one where the first, second, fourth, and seventhelements are exchanged.
    `<E1,E2,E5> Tuple7<E1,E2,T3,T4,E5,T6,T7>` | `x125(E1 e1, E2 e2, E5 e5)` Create a 7-tuple from this one where the first, second, and fifthelements are exchanged.
    `<E1,E2,E5,E6> Tuple7<E1,E2,T3,T4,E5,E6,T7>` | `x1256(E1 e1, E2 e2, E5 e5, E6 e6)` Create a 7-tuple from this one where the first, second, fifth, and sixthelements are exchanged.
    `<E1,E2,E5,E6,E7> Tuple7<E1,E2,T3,T4,E5,E6,E7>` | `x12567(E1 e1, E2 e2, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, second, fifth, sixth, and seventhelements are exchanged.
    `<E1,E2,E5,E7> Tuple7<E1,E2,T3,T4,E5,T6,E7>` | `x1257(E1 e1, E2 e2, E5 e5, E7 e7)` Create a 7-tuple from this one where the first, second, fifth, and seventhelements are exchanged.
    `<E1,E2,E6> Tuple7<E1,E2,T3,T4,T5,E6,T7>` | `x126(E1 e1, E2 e2, E6 e6)` Create a 7-tuple from this one where the first, second, and sixthelements are exchanged.
    `<E1,E2,E6,E7> Tuple7<E1,E2,T3,T4,T5,E6,E7>` | `x1267(E1 e1, E2 e2, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, second, sixth, and seventhelements are exchanged.
    `<E1,E2,E7> Tuple7<E1,E2,T3,T4,T5,T6,E7>` | `x127(E1 e1, E2 e2, E7 e7)` Create a 7-tuple from this one where the first, second, and seventhelements are exchanged.
    `<E1,E3> Tuple7<E1,T2,E3,T4,T5,T6,T7>` | `x13(E1 e1, E3 e3)` Create a 7-tuple from this one where the first and third elements are exchanged.
    `<E1,E3,E4> Tuple7<E1,T2,E3,E4,T5,T6,T7>` | `x134(E1 e1, E3 e3, E4 e4)` Create a 7-tuple from this one where the first, third, and fourthelements are exchanged.
    `<E1,E3,E4,E5> Tuple7<E1,T2,E3,E4,E5,T6,T7>` | `x1345(E1 e1, E3 e3, E4 e4, E5 e5)` Create a 7-tuple from this one where the first, third, fourth, and fifthelements are exchanged.
    `<E1,E3,E4,E5,E6> Tuple7<E1,T2,E3,E4,E5,E6,T7>` | `x13456(E1 e1, E3 e3, E4 e4, E5 e5, E6 e6)` Create a 7-tuple from this one where the first, third, fourth, fifth, and sixthelements are exchanged.
    `<E1,E3,E4,E5,E7> Tuple7<E1,T2,E3,E4,E5,T6,E7>` | `x13457(E1 e1, E3 e3, E4 e4, E5 e5, E7 e7)` Create a 7-tuple from this one where the first, third, fourth, fifth, and seventhelements are exchanged.
    `<E1,E3,E4,E6> Tuple7<E1,T2,E3,E4,T5,E6,T7>` | `x1346(E1 e1, E3 e3, E4 e4, E6 e6)` Create a 7-tuple from this one where the first, third, fourth, and sixthelements are exchanged.
    `<E1,E3,E4,E6,E7> Tuple7<E1,T2,E3,E4,T5,E6,E7>` | `x13467(E1 e1, E3 e3, E4 e4, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, third, fourth, sixth, and seventhelements are exchanged.
    `<E1,E3,E4,E7> Tuple7<E1,T2,E3,E4,T5,T6,E7>` | `x1347(E1 e1, E3 e3, E4 e4, E7 e7)` Create a 7-tuple from this one where the first, third, fourth, and seventhelements are exchanged.
    `<E1,E3,E5> Tuple7<E1,T2,E3,T4,E5,T6,T7>` | `x135(E1 e1, E3 e3, E5 e5)` Create a 7-tuple from this one where the first, third, and fifthelements are exchanged.
    `<E1,E3,E5,E6> Tuple7<E1,T2,E3,T4,E5,E6,T7>` | `x1356(E1 e1, E3 e3, E5 e5, E6 e6)` Create a 7-tuple from this one where the first, third, fifth, and sixthelements are exchanged.
    `<E1,E3,E5,E6,E7> Tuple7<E1,T2,E3,T4,E5,E6,E7>` | `x13567(E1 e1, E3 e3, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, third, fifth, sixth, and seventhelements are exchanged.
    `<E1,E3,E5,E7> Tuple7<E1,T2,E3,T4,E5,T6,E7>` | `x1357(E1 e1, E3 e3, E5 e5, E7 e7)` Create a 7-tuple from this one where the first, third, fifth, and seventhelements are exchanged.
    `<E1,E3,E6> Tuple7<E1,T2,E3,T4,T5,E6,T7>` | `x136(E1 e1, E3 e3, E6 e6)` Create a 7-tuple from this one where the first, third, and sixthelements are exchanged.
    `<E1,E3,E6,E7> Tuple7<E1,T2,E3,T4,T5,E6,E7>` | `x1367(E1 e1, E3 e3, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, third, sixth, and seventhelements are exchanged.
    `<E1,E3,E7> Tuple7<E1,T2,E3,T4,T5,T6,E7>` | `x137(E1 e1, E3 e3, E7 e7)` Create a 7-tuple from this one where the first, third, and seventhelements are exchanged.
    `<E1,E4> Tuple7<E1,T2,T3,E4,T5,T6,T7>` | `x14(E1 e1, E4 e4)` Create a 7-tuple from this one where the first and fourth elements are exchanged.
    `<E1,E4,E5> Tuple7<E1,T2,T3,E4,E5,T6,T7>` | `x145(E1 e1, E4 e4, E5 e5)` Create a 7-tuple from this one where the first, fourth, and fifthelements are exchanged.
    `<E1,E4,E5,E6> Tuple7<E1,T2,T3,E4,E5,E6,T7>` | `x1456(E1 e1, E4 e4, E5 e5, E6 e6)` Create a 7-tuple from this one where the first, fourth, fifth, and sixthelements are exchanged.
    `<E1,E4,E5,E6,E7> Tuple7<E1,T2,T3,E4,E5,E6,E7>` | `x14567(E1 e1, E4 e4, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, fourth, fifth, sixth, and seventhelements are exchanged.
    `<E1,E4,E5,E7> Tuple7<E1,T2,T3,E4,E5,T6,E7>` | `x1457(E1 e1, E4 e4, E5 e5, E7 e7)` Create a 7-tuple from this one where the first, fourth, fifth, and seventhelements are exchanged.
    `<E1,E4,E6> Tuple7<E1,T2,T3,E4,T5,E6,T7>` | `x146(E1 e1, E4 e4, E6 e6)` Create a 7-tuple from this one where the first, fourth, and sixthelements are exchanged.
    `<E1,E4,E6,E7> Tuple7<E1,T2,T3,E4,T5,E6,E7>` | `x1467(E1 e1, E4 e4, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, fourth, sixth, and seventhelements are exchanged.
    `<E1,E4,E7> Tuple7<E1,T2,T3,E4,T5,T6,E7>` | `x147(E1 e1, E4 e4, E7 e7)` Create a 7-tuple from this one where the first, fourth, and seventhelements are exchanged.
    `<E1,E5> Tuple7<E1,T2,T3,T4,E5,T6,T7>` | `x15(E1 e1, E5 e5)` Create a 7-tuple from this one where the first and fifth elements are exchanged.
    `<E1,E5,E6> Tuple7<E1,T2,T3,T4,E5,E6,T7>` | `x156(E1 e1, E5 e5, E6 e6)` Create a 7-tuple from this one where the first, fifth, and sixthelements are exchanged.
    `<E1,E5,E6,E7> Tuple7<E1,T2,T3,T4,E5,E6,E7>` | `x1567(E1 e1, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, fifth, sixth, and seventhelements are exchanged.
    `<E1,E5,E7> Tuple7<E1,T2,T3,T4,E5,T6,E7>` | `x157(E1 e1, E5 e5, E7 e7)` Create a 7-tuple from this one where the first, fifth, and seventhelements are exchanged.
    `<E1,E6> Tuple7<E1,T2,T3,T4,T5,E6,T7>` | `x16(E1 e1, E6 e6)` Create a 7-tuple from this one where the first and sixth elements are exchanged.
    `<E1,E6,E7> Tuple7<E1,T2,T3,T4,T5,E6,E7>` | `x167(E1 e1, E6 e6, E7 e7)` Create a 7-tuple from this one where the first, sixth, and seventhelements are exchanged.
    `<E1,E7> Tuple7<E1,T2,T3,T4,T5,T6,E7>` | `x17(E1 e1, E7 e7)` Create a 7-tuple from this one where the first and seventh elements are exchanged.
    `<E2> Tuple7<T1,E2,T3,T4,T5,T6,T7>` | `x2(E2 e2)` Create a 7-tuple from this one where the second element is exchanged.
    `<E2,E3> Tuple7<T1,E2,E3,T4,T5,T6,T7>` | `x23(E2 e2, E3 e3)` Create a 7-tuple from this one where the second and third elements are exchanged.
    `<E2,E3,E4> Tuple7<T1,E2,E3,E4,T5,T6,T7>` | `x234(E2 e2, E3 e3, E4 e4)` Create a 7-tuple from this one where the second, third, and fourthelements are exchanged.
    `<E2,E3,E4,E5> Tuple7<T1,E2,E3,E4,E5,T6,T7>` | `x2345(E2 e2, E3 e3, E4 e4, E5 e5)` Create a 7-tuple from this one where the second, third, fourth, and fifthelements are exchanged.
    `<E2,E3,E4,E5,E6> Tuple7<T1,E2,E3,E4,E5,E6,T7>` | `x23456(E2 e2, E3 e3, E4 e4, E5 e5, E6 e6)` Create a 7-tuple from this one where the second, third, fourth, fifth, and sixthelements are exchanged.
    `<E2,E3,E4,E5,E7> Tuple7<T1,E2,E3,E4,E5,T6,E7>` | `x23457(E2 e2, E3 e3, E4 e4, E5 e5, E7 e7)` Create a 7-tuple from this one where the second, third, fourth, fifth, and seventhelements are exchanged.
    `<E2,E3,E4,E6> Tuple7<T1,E2,E3,E4,T5,E6,T7>` | `x2346(E2 e2, E3 e3, E4 e4, E6 e6)` Create a 7-tuple from this one where the second, third, fourth, and sixthelements are exchanged.
    `<E2,E3,E4,E6,E7> Tuple7<T1,E2,E3,E4,T5,E6,E7>` | `x23467(E2 e2, E3 e3, E4 e4, E6 e6, E7 e7)` Create a 7-tuple from this one where the second, third, fourth, sixth, and seventhelements are exchanged.
    `<E2,E3,E4,E7> Tuple7<T1,E2,E3,E4,T5,T6,E7>` | `x2347(E2 e2, E3 e3, E4 e4, E7 e7)` Create a 7-tuple from this one where the second, third, fourth, and seventhelements are exchanged.
    `<E2,E3,E5> Tuple7<T1,E2,E3,T4,E5,T6,T7>` | `x235(E2 e2, E3 e3, E5 e5)` Create a 7-tuple from this one where the second, third, and fifthelements are exchanged.
    `<E2,E3,E5,E6> Tuple7<T1,E2,E3,T4,E5,E6,T7>` | `x2356(E2 e2, E3 e3, E5 e5, E6 e6)` Create a 7-tuple from this one where the second, third, fifth, and sixthelements are exchanged.
    `<E2,E3,E5,E6,E7> Tuple7<T1,E2,E3,T4,E5,E6,E7>` | `x23567(E2 e2, E3 e3, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the second, third, fifth, sixth, and seventhelements are exchanged.
    `<E2,E3,E5,E7> Tuple7<T1,E2,E3,T4,E5,T6,E7>` | `x2357(E2 e2, E3 e3, E5 e5, E7 e7)` Create a 7-tuple from this one where the second, third, fifth, and seventhelements are exchanged.
    `<E2,E3,E6> Tuple7<T1,E2,E3,T4,T5,E6,T7>` | `x236(E2 e2, E3 e3, E6 e6)` Create a 7-tuple from this one where the second, third, and sixthelements are exchanged.
    `<E2,E3,E6,E7> Tuple7<T1,E2,E3,T4,T5,E6,E7>` | `x2367(E2 e2, E3 e3, E6 e6, E7 e7)` Create a 7-tuple from this one where the second, third, sixth, and seventhelements are exchanged.
    `<E2,E3,E7> Tuple7<T1,E2,E3,T4,T5,T6,E7>` | `x237(E2 e2, E3 e3, E7 e7)` Create a 7-tuple from this one where the second, third, and seventhelements are exchanged.
    `<E2,E4> Tuple7<T1,E2,T3,E4,T5,T6,T7>` | `x24(E2 e2, E4 e4)` Create a 7-tuple from this one where the second and fourth elements are exchanged.
    `<E2,E4,E5> Tuple7<T1,E2,T3,E4,E5,T6,T7>` | `x245(E2 e2, E4 e4, E5 e5)` Create a 7-tuple from this one where the second, fourth, and fifthelements are exchanged.
    `<E2,E4,E5,E6> Tuple7<T1,E2,T3,E4,E5,E6,T7>` | `x2456(E2 e2, E4 e4, E5 e5, E6 e6)` Create a 7-tuple from this one where the second, fourth, fifth, and sixthelements are exchanged.
    `<E2,E4,E5,E6,E7> Tuple7<T1,E2,T3,E4,E5,E6,E7>` | `x24567(E2 e2, E4 e4, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the second, fourth, fifth, sixth, and seventhelements are exchanged.
    `<E2,E4,E5,E7> Tuple7<T1,E2,T3,E4,E5,T6,E7>` | `x2457(E2 e2, E4 e4, E5 e5, E7 e7)` Create a 7-tuple from this one where the second, fourth, fifth, and seventhelements are exchanged.
    `<E2,E4,E6> Tuple7<T1,E2,T3,E4,T5,E6,T7>` | `x246(E2 e2, E4 e4, E6 e6)` Create a 7-tuple from this one where the second, fourth, and sixthelements are exchanged.
    `<E2,E4,E6,E7> Tuple7<T1,E2,T3,E4,T5,E6,E7>` | `x2467(E2 e2, E4 e4, E6 e6, E7 e7)` Create a 7-tuple from this one where the second, fourth, sixth, and seventhelements are exchanged.
    `<E2,E4,E7> Tuple7<T1,E2,T3,E4,T5,T6,E7>` | `x247(E2 e2, E4 e4, E7 e7)` Create a 7-tuple from this one where the second, fourth, and seventhelements are exchanged.
    `<E2,E5> Tuple7<T1,E2,T3,T4,E5,T6,T7>` | `x25(E2 e2, E5 e5)` Create a 7-tuple from this one where the second and fifth elements are exchanged.
    `<E2,E5,E6> Tuple7<T1,E2,T3,T4,E5,E6,T7>` | `x256(E2 e2, E5 e5, E6 e6)` Create a 7-tuple from this one where the second, fifth, and sixthelements are exchanged.
    `<E2,E5,E6,E7> Tuple7<T1,E2,T3,T4,E5,E6,E7>` | `x2567(E2 e2, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the second, fifth, sixth, and seventhelements are exchanged.
    `<E2,E5,E7> Tuple7<T1,E2,T3,T4,E5,T6,E7>` | `x257(E2 e2, E5 e5, E7 e7)` Create a 7-tuple from this one where the second, fifth, and seventhelements are exchanged.
    `<E2,E6> Tuple7<T1,E2,T3,T4,T5,E6,T7>` | `x26(E2 e2, E6 e6)` Create a 7-tuple from this one where the second and sixth elements are exchanged.
    `<E2,E6,E7> Tuple7<T1,E2,T3,T4,T5,E6,E7>` | `x267(E2 e2, E6 e6, E7 e7)` Create a 7-tuple from this one where the second, sixth, and seventhelements are exchanged.
    `<E2,E7> Tuple7<T1,E2,T3,T4,T5,T6,E7>` | `x27(E2 e2, E7 e7)` Create a 7-tuple from this one where the second and seventh elements are exchanged.
    `<E3> Tuple7<T1,T2,E3,T4,T5,T6,T7>` | `x3(E3 e3)` Create a 7-tuple from this one where the third element is exchanged.
    `<E3,E4> Tuple7<T1,T2,E3,E4,T5,T6,T7>` | `x34(E3 e3, E4 e4)` Create a 7-tuple from this one where the third and fourth elements are exchanged.
    `<E3,E4,E5> Tuple7<T1,T2,E3,E4,E5,T6,T7>` | `x345(E3 e3, E4 e4, E5 e5)` Create a 7-tuple from this one where the third, fourth, and fifthelements are exchanged.
    `<E3,E4,E5,E6> Tuple7<T1,T2,E3,E4,E5,E6,T7>` | `x3456(E3 e3, E4 e4, E5 e5, E6 e6)` Create a 7-tuple from this one where the third, fourth, fifth, and sixthelements are exchanged.
    `<E3,E4,E5,E6,E7> Tuple7<T1,T2,E3,E4,E5,E6,E7>` | `x34567(E3 e3, E4 e4, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the third, fourth, fifth, sixth, and seventhelements are exchanged.
    `<E3,E4,E5,E7> Tuple7<T1,T2,E3,E4,E5,T6,E7>` | `x3457(E3 e3, E4 e4, E5 e5, E7 e7)` Create a 7-tuple from this one where the third, fourth, fifth, and seventhelements are exchanged.
    `<E3,E4,E6> Tuple7<T1,T2,E3,E4,T5,E6,T7>` | `x346(E3 e3, E4 e4, E6 e6)` Create a 7-tuple from this one where the third, fourth, and sixthelements are exchanged.
    `<E3,E4,E6,E7> Tuple7<T1,T2,E3,E4,T5,E6,E7>` | `x3467(E3 e3, E4 e4, E6 e6, E7 e7)` Create a 7-tuple from this one where the third, fourth, sixth, and seventhelements are exchanged.
    `<E3,E4,E7> Tuple7<T1,T2,E3,E4,T5,T6,E7>` | `x347(E3 e3, E4 e4, E7 e7)` Create a 7-tuple from this one where the third, fourth, and seventhelements are exchanged.
    `<E3,E5> Tuple7<T1,T2,E3,T4,E5,T6,T7>` | `x35(E3 e3, E5 e5)` Create a 7-tuple from this one where the third and fifth elements are exchanged.
    `<E3,E5,E6> Tuple7<T1,T2,E3,T4,E5,E6,T7>` | `x356(E3 e3, E5 e5, E6 e6)` Create a 7-tuple from this one where the third, fifth, and sixthelements are exchanged.
    `<E3,E5,E6,E7> Tuple7<T1,T2,E3,T4,E5,E6,E7>` | `x3567(E3 e3, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the third, fifth, sixth, and seventhelements are exchanged.
    `<E3,E5,E7> Tuple7<T1,T2,E3,T4,E5,T6,E7>` | `x357(E3 e3, E5 e5, E7 e7)` Create a 7-tuple from this one where the third, fifth, and seventhelements are exchanged.
    `<E3,E6> Tuple7<T1,T2,E3,T4,T5,E6,T7>` | `x36(E3 e3, E6 e6)` Create a 7-tuple from this one where the third and sixth elements are exchanged.
    `<E3,E6,E7> Tuple7<T1,T2,E3,T4,T5,E6,E7>` | `x367(E3 e3, E6 e6, E7 e7)` Create a 7-tuple from this one where the third, sixth, and seventhelements are exchanged.
    `<E3,E7> Tuple7<T1,T2,E3,T4,T5,T6,E7>` | `x37(E3 e3, E7 e7)` Create a 7-tuple from this one where the third and seventh elements are exchanged.
    `<E4> Tuple7<T1,T2,T3,E4,T5,T6,T7>` | `x4(E4 e4)` Create a 7-tuple from this one where the fourth element is exchanged.
    `<E4,E5> Tuple7<T1,T2,T3,E4,E5,T6,T7>` | `x45(E4 e4, E5 e5)` Create a 7-tuple from this one where the fourth and fifth elements are exchanged.
    `<E4,E5,E6> Tuple7<T1,T2,T3,E4,E5,E6,T7>` | `x456(E4 e4, E5 e5, E6 e6)` Create a 7-tuple from this one where the fourth, fifth, and sixthelements are exchanged.
    `<E4,E5,E6,E7> Tuple7<T1,T2,T3,E4,E5,E6,E7>` | `x4567(E4 e4, E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the fourth, fifth, sixth, and seventhelements are exchanged.
    `<E4,E5,E7> Tuple7<T1,T2,T3,E4,E5,T6,E7>` | `x457(E4 e4, E5 e5, E7 e7)` Create a 7-tuple from this one where the fourth, fifth, and seventhelements are exchanged.
    `<E4,E6> Tuple7<T1,T2,T3,E4,T5,E6,T7>` | `x46(E4 e4, E6 e6)` Create a 7-tuple from this one where the fourth and sixth elements are exchanged.
    `<E4,E6,E7> Tuple7<T1,T2,T3,E4,T5,E6,E7>` | `x467(E4 e4, E6 e6, E7 e7)` Create a 7-tuple from this one where the fourth, sixth, and seventhelements are exchanged.
    `<E4,E7> Tuple7<T1,T2,T3,E4,T5,T6,E7>` | `x47(E4 e4, E7 e7)` Create a 7-tuple from this one where the fourth and seventh elements are exchanged.
    `<E5> Tuple7<T1,T2,T3,T4,E5,T6,T7>` | `x5(E5 e5)` Create a 7-tuple from this one where the fifth element is exchanged.
    `<E5,E6> Tuple7<T1,T2,T3,T4,E5,E6,T7>` | `x56(E5 e5, E6 e6)` Create a 7-tuple from this one where the fifth and sixth elements are exchanged.
    `<E5,E6,E7> Tuple7<T1,T2,T3,T4,E5,E6,E7>` | `x567(E5 e5, E6 e6, E7 e7)` Create a 7-tuple from this one where the fifth, sixth, and seventhelements are exchanged.
    `<E5,E7> Tuple7<T1,T2,T3,T4,E5,T6,E7>` | `x57(E5 e5, E7 e7)` Create a 7-tuple from this one where the fifth and seventh elements are exchanged.
    `<E6> Tuple7<T1,T2,T3,T4,T5,E6,T7>` | `x6(E6 e6)` Create a 7-tuple from this one where the sixth element is exchanged.
    `<E6,E7> Tuple7<T1,T2,T3,T4,T5,E6,E7>` | `x67(E6 e6, E7 e7)` Create a 7-tuple from this one where the sixth and seventh elements are exchanged.
    `<E7> Tuple7<T1,T2,T3,T4,T5,T6,E7>` | `x7(E7 e7)` Create a 7-tuple from this one where the seventh element is exchanged.

    - ### Methods inherited from class de.caff.generics.tuple.ITuple7.Base

      `asBase, equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.tuple.ITuple7

      `concat1, concat2, concat3, concat4, concat5, concat6, concat7, concat8, concatPred1, concatPred2, concatPred3, concatPred4, concatPred5, concatPred6, concatPred7, concatPred8, concatProc1, concatProc2, concatProc3, concatProc4, concatProc5, concatProc6, concatProc7, concatProc8, equals, frozen, hash, invoke, sendTo, testBy, toString, toString, view`

- - ### Constructor Detail

    - #### Tuple7

          public Tuple7(@NotNull
                        T1 e1,
                        @NotNull
                        T2 e2,
                        @NotNull
                        T3 e3,
                        @NotNull
                        T4 e4,
                        @NotNull
                        T5 e5,
                        @NotNull
                        T6 e6,
                        @NotNull
                        T7 e7)

      Constructor.
      Parameters:
        `e1` - first element
        `e2` - second element
        `e3` - third element
        `e4` - fourth element
        `e5` - fifth element
        `e6` - sixth element
        `e7` - seventh element

  - ### Method Detail

    - #### _1

          @NotNull
          public T1 _1()

      Description copied from interface: `ITuple7`
      Get the first element.
      Specified by:
        `_1` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        first element

    - #### _2

          @NotNull
          public T2 _2()

      Description copied from interface: `ITuple7`
      Get the second element.
      Specified by:
        `_2` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        second element

    - #### _3

          @NotNull
          public T3 _3()

      Description copied from interface: `ITuple7`
      Get the third element.
      Specified by:
        `_3` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        third element

    - #### _4

          @NotNull
          public T4 _4()

      Description copied from interface: `ITuple7`
      Get the fourth element.
      Specified by:
        `_4` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        fourth element

    - #### _5

          @NotNull
          public T5 _5()

      Description copied from interface: `ITuple7`
      Get the fifth element.
      Specified by:
        `_5` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        fifth element

    - #### _6

          @NotNull
          public T6 _6()

      Description copied from interface: `ITuple7`
      Get the sixth element.
      Specified by:
        `_6` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        sixth element

    - #### _7

          @NotNull
          public T7 _7()

      Description copied from interface: `ITuple7`
      Get the seventh element.
      Specified by:
        `_7` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        seventh element

    - #### _123456

          @NotNull
          public Tuple6<T1,T2,T3,T4,T5,T6> _123456()

      Description copied from interface: `ITuple7`
      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 6th.
      Specified by:
        `_123456` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _123457

          @NotNull
          public Tuple6<T1,T2,T3,T4,T5,T7> _123457()

      Description copied from interface: `ITuple7`
      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th, 7th.
      Specified by:
        `_123457` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _123467

          @NotNull
          public Tuple6<T1,T2,T3,T4,T6,T7> _123467()

      Description copied from interface: `ITuple7`
      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th, 7th.
      Specified by:
        `_123467` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _123567

          @NotNull
          public Tuple6<T1,T2,T3,T5,T6,T7> _123567()

      Description copied from interface: `ITuple7`
      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th, 7th.
      Specified by:
        `_123567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _124567

          @NotNull
          public Tuple6<T1,T2,T4,T5,T6,T7> _124567()

      Description copied from interface: `ITuple7`
      Create a new 6-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th, 7th.
      Specified by:
        `_124567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _134567

          @NotNull
          public Tuple6<T1,T3,T4,T5,T6,T7> _134567()

      Description copied from interface: `ITuple7`
      Create a new 6-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th, 7th.
      Specified by:
        `_134567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _234567

          @NotNull
          public Tuple6<T2,T3,T4,T5,T6,T7> _234567()

      Description copied from interface: `ITuple7`
      Create a new 6-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th, 7th.
      Specified by:
        `_234567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12345

          @NotNull
          public Tuple5<T1,T2,T3,T4,T5> _12345()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 5th.
      Specified by:
        `_12345` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12346

          @NotNull
          public Tuple5<T1,T2,T3,T4,T6> _12346()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 6th.
      Specified by:
        `_12346` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12356

          @NotNull
          public Tuple5<T1,T2,T3,T5,T6> _12356()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 6th.
      Specified by:
        `_12356` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12456

          @NotNull
          public Tuple5<T1,T2,T4,T5,T6> _12456()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 6th.
      Specified by:
        `_12456` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _13456

          @NotNull
          public Tuple5<T1,T3,T4,T5,T6> _13456()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 6th.
      Specified by:
        `_13456` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _23456

          @NotNull
          public Tuple5<T2,T3,T4,T5,T6> _23456()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 6th.
      Specified by:
        `_23456` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12347

          @NotNull
          public Tuple5<T1,T2,T3,T4,T7> _12347()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th, 7th.
      Specified by:
        `_12347` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12357

          @NotNull
          public Tuple5<T1,T2,T3,T5,T7> _12357()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th, 7th.
      Specified by:
        `_12357` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12457

          @NotNull
          public Tuple5<T1,T2,T4,T5,T7> _12457()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th, 7th.
      Specified by:
        `_12457` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _13457

          @NotNull
          public Tuple5<T1,T3,T4,T5,T7> _13457()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th, 7th.
      Specified by:
        `_13457` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _23457

          @NotNull
          public Tuple5<T2,T3,T4,T5,T7> _23457()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th, 7th.
      Specified by:
        `_23457` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12367

          @NotNull
          public Tuple5<T1,T2,T3,T6,T7> _12367()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th, 7th.
      Specified by:
        `_12367` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12467

          @NotNull
          public Tuple5<T1,T2,T4,T6,T7> _12467()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th, 7th.
      Specified by:
        `_12467` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _13467

          @NotNull
          public Tuple5<T1,T3,T4,T6,T7> _13467()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th, 7th.
      Specified by:
        `_13467` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _23467

          @NotNull
          public Tuple5<T2,T3,T4,T6,T7> _23467()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th, 7th.
      Specified by:
        `_23467` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12567

          @NotNull
          public Tuple5<T1,T2,T5,T6,T7> _12567()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th, 7th.
      Specified by:
        `_12567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _13567

          @NotNull
          public Tuple5<T1,T3,T5,T6,T7> _13567()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th, 7th.
      Specified by:
        `_13567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _23567

          @NotNull
          public Tuple5<T2,T3,T5,T6,T7> _23567()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th, 7th.
      Specified by:
        `_23567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _14567

          @NotNull
          public Tuple5<T1,T4,T5,T6,T7> _14567()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th, 7th.
      Specified by:
        `_14567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _24567

          @NotNull
          public Tuple5<T2,T4,T5,T6,T7> _24567()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th, 7th.
      Specified by:
        `_24567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _34567

          @NotNull
          public Tuple5<T3,T4,T5,T6,T7> _34567()

      Description copied from interface: `ITuple7`
      Create a new 5-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th, 7th.
      Specified by:
        `_34567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1234

          @NotNull
          public Tuple4<T1,T2,T3,T4> _1234()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 4th.
      Specified by:
        `_1234` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1235

          @NotNull
          public Tuple4<T1,T2,T3,T5> _1235()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 5th.
      Specified by:
        `_1235` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1245

          @NotNull
          public Tuple4<T1,T2,T4,T5> _1245()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 5th.
      Specified by:
        `_1245` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1345

          @NotNull
          public Tuple4<T1,T3,T4,T5> _1345()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 5th.
      Specified by:
        `_1345` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2345

          @NotNull
          public Tuple4<T2,T3,T4,T5> _2345()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 5th.
      Specified by:
        `_2345` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1236

          @NotNull
          public Tuple4<T1,T2,T3,T6> _1236()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 6th.
      Specified by:
        `_1236` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1246

          @NotNull
          public Tuple4<T1,T2,T4,T6> _1246()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 6th.
      Specified by:
        `_1246` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1346

          @NotNull
          public Tuple4<T1,T3,T4,T6> _1346()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 6th.
      Specified by:
        `_1346` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2346

          @NotNull
          public Tuple4<T2,T3,T4,T6> _2346()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 6th.
      Specified by:
        `_2346` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1256

          @NotNull
          public Tuple4<T1,T2,T5,T6> _1256()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 6th.
      Specified by:
        `_1256` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1356

          @NotNull
          public Tuple4<T1,T3,T5,T6> _1356()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 6th.
      Specified by:
        `_1356` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2356

          @NotNull
          public Tuple4<T2,T3,T5,T6> _2356()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 6th.
      Specified by:
        `_2356` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1456

          @NotNull
          public Tuple4<T1,T4,T5,T6> _1456()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 6th.
      Specified by:
        `_1456` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2456

          @NotNull
          public Tuple4<T2,T4,T5,T6> _2456()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 6th.
      Specified by:
        `_2456` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _3456

          @NotNull
          public Tuple4<T3,T4,T5,T6> _3456()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 6th.
      Specified by:
        `_3456` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1237

          @NotNull
          public Tuple4<T1,T2,T3,T7> _1237()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 3rd, 7th.
      Specified by:
        `_1237` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1247

          @NotNull
          public Tuple4<T1,T2,T4,T7> _1247()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 4th, 7th.
      Specified by:
        `_1247` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1347

          @NotNull
          public Tuple4<T1,T3,T4,T7> _1347()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 4th, 7th.
      Specified by:
        `_1347` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2347

          @NotNull
          public Tuple4<T2,T3,T4,T7> _2347()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 4th, 7th.
      Specified by:
        `_2347` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1257

          @NotNull
          public Tuple4<T1,T2,T5,T7> _1257()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 5th, 7th.
      Specified by:
        `_1257` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1357

          @NotNull
          public Tuple4<T1,T3,T5,T7> _1357()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 5th, 7th.
      Specified by:
        `_1357` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2357

          @NotNull
          public Tuple4<T2,T3,T5,T7> _2357()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 5th, 7th.
      Specified by:
        `_2357` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1457

          @NotNull
          public Tuple4<T1,T4,T5,T7> _1457()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 5th, 7th.
      Specified by:
        `_1457` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2457

          @NotNull
          public Tuple4<T2,T4,T5,T7> _2457()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 5th, 7th.
      Specified by:
        `_2457` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _3457

          @NotNull
          public Tuple4<T3,T4,T5,T7> _3457()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 5th, 7th.
      Specified by:
        `_3457` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1267

          @NotNull
          public Tuple4<T1,T2,T6,T7> _1267()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 2nd, 6th, 7th.
      Specified by:
        `_1267` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1367

          @NotNull
          public Tuple4<T1,T3,T6,T7> _1367()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 3rd, 6th, 7th.
      Specified by:
        `_1367` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2367

          @NotNull
          public Tuple4<T2,T3,T6,T7> _2367()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 3rd, 6th, 7th.
      Specified by:
        `_2367` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1467

          @NotNull
          public Tuple4<T1,T4,T6,T7> _1467()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 4th, 6th, 7th.
      Specified by:
        `_1467` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2467

          @NotNull
          public Tuple4<T2,T4,T6,T7> _2467()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 4th, 6th, 7th.
      Specified by:
        `_2467` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _3467

          @NotNull
          public Tuple4<T3,T4,T6,T7> _3467()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 3rd, 4th, 6th, 7th.
      Specified by:
        `_3467` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _1567

          @NotNull
          public Tuple4<T1,T5,T6,T7> _1567()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 1st, 5th, 6th, 7th.
      Specified by:
        `_1567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _2567

          @NotNull
          public Tuple4<T2,T5,T6,T7> _2567()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 2nd, 5th, 6th, 7th.
      Specified by:
        `_2567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _3567

          @NotNull
          public Tuple4<T3,T5,T6,T7> _3567()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 3rd, 5th, 6th, 7th.
      Specified by:
        `_3567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _4567

          @NotNull
          public Tuple4<T4,T5,T6,T7> _4567()

      Description copied from interface: `ITuple7`
      Create a new 4-tuple from this one where the elements are ordered: 4th, 5th, 6th, 7th.
      Specified by:
        `_4567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _123

          @NotNull
          public Tuple3<T1,T2,T3> _123()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 3rd.
      Specified by:
        `_123` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _132

          @NotNull
          public Tuple3<T1,T3,T2> _132()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 2nd.
      Specified by:
        `_132` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _312

          @NotNull
          public Tuple3<T3,T1,T2> _312()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 2nd.
      Specified by:
        `_312` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _321

          @NotNull
          public Tuple3<T3,T2,T1> _321()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 1st.
      Specified by:
        `_321` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _231

          @NotNull
          public Tuple3<T2,T3,T1> _231()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 1st.
      Specified by:
        `_231` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _213

          @NotNull
          public Tuple3<T2,T1,T3> _213()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 3rd.
      Specified by:
        `_213` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _124

          @NotNull
          public Tuple3<T1,T2,T4> _124()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 4th.
      Specified by:
        `_124` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _142

          @NotNull
          public Tuple3<T1,T4,T2> _142()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 2nd.
      Specified by:
        `_142` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _412

          @NotNull
          public Tuple3<T4,T1,T2> _412()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 2nd.
      Specified by:
        `_412` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _421

          @NotNull
          public Tuple3<T4,T2,T1> _421()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 1st.
      Specified by:
        `_421` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _241

          @NotNull
          public Tuple3<T2,T4,T1> _241()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 1st.
      Specified by:
        `_241` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _214

          @NotNull
          public Tuple3<T2,T1,T4> _214()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 4th.
      Specified by:
        `_214` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _134

          @NotNull
          public Tuple3<T1,T3,T4> _134()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 4th.
      Specified by:
        `_134` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _143

          @NotNull
          public Tuple3<T1,T4,T3> _143()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 3rd.
      Specified by:
        `_143` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _413

          @NotNull
          public Tuple3<T4,T1,T3> _413()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 3rd.
      Specified by:
        `_413` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _431

          @NotNull
          public Tuple3<T4,T3,T1> _431()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 1st.
      Specified by:
        `_431` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _341

          @NotNull
          public Tuple3<T3,T4,T1> _341()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 1st.
      Specified by:
        `_341` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _314

          @NotNull
          public Tuple3<T3,T1,T4> _314()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 4th.
      Specified by:
        `_314` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _234

          @NotNull
          public Tuple3<T2,T3,T4> _234()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 4th.
      Specified by:
        `_234` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _243

          @NotNull
          public Tuple3<T2,T4,T3> _243()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 3rd.
      Specified by:
        `_243` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _423

          @NotNull
          public Tuple3<T4,T2,T3> _423()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 3rd.
      Specified by:
        `_423` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _432

          @NotNull
          public Tuple3<T4,T3,T2> _432()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 2nd.
      Specified by:
        `_432` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _342

          @NotNull
          public Tuple3<T3,T4,T2> _342()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 2nd.
      Specified by:
        `_342` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _324

          @NotNull
          public Tuple3<T3,T2,T4> _324()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 4th.
      Specified by:
        `_324` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _125

          @NotNull
          public Tuple3<T1,T2,T5> _125()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 5th.
      Specified by:
        `_125` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _152

          @NotNull
          public Tuple3<T1,T5,T2> _152()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 2nd.
      Specified by:
        `_152` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _512

          @NotNull
          public Tuple3<T5,T1,T2> _512()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 2nd.
      Specified by:
        `_512` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _521

          @NotNull
          public Tuple3<T5,T2,T1> _521()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 1st.
      Specified by:
        `_521` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _251

          @NotNull
          public Tuple3<T2,T5,T1> _251()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 1st.
      Specified by:
        `_251` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _215

          @NotNull
          public Tuple3<T2,T1,T5> _215()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 5th.
      Specified by:
        `_215` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _135

          @NotNull
          public Tuple3<T1,T3,T5> _135()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 5th.
      Specified by:
        `_135` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _153

          @NotNull
          public Tuple3<T1,T5,T3> _153()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 3rd.
      Specified by:
        `_153` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _513

          @NotNull
          public Tuple3<T5,T1,T3> _513()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 3rd.
      Specified by:
        `_513` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _531

          @NotNull
          public Tuple3<T5,T3,T1> _531()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 1st.
      Specified by:
        `_531` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _351

          @NotNull
          public Tuple3<T3,T5,T1> _351()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 1st.
      Specified by:
        `_351` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _315

          @NotNull
          public Tuple3<T3,T1,T5> _315()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 5th.
      Specified by:
        `_315` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _235

          @NotNull
          public Tuple3<T2,T3,T5> _235()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 5th.
      Specified by:
        `_235` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _253

          @NotNull
          public Tuple3<T2,T5,T3> _253()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 3rd.
      Specified by:
        `_253` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _523

          @NotNull
          public Tuple3<T5,T2,T3> _523()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 3rd.
      Specified by:
        `_523` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _532

          @NotNull
          public Tuple3<T5,T3,T2> _532()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 2nd.
      Specified by:
        `_532` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _352

          @NotNull
          public Tuple3<T3,T5,T2> _352()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 2nd.
      Specified by:
        `_352` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _325

          @NotNull
          public Tuple3<T3,T2,T5> _325()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 5th.
      Specified by:
        `_325` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _145

          @NotNull
          public Tuple3<T1,T4,T5> _145()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 5th.
      Specified by:
        `_145` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _154

          @NotNull
          public Tuple3<T1,T5,T4> _154()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 4th.
      Specified by:
        `_154` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _514

          @NotNull
          public Tuple3<T5,T1,T4> _514()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 4th.
      Specified by:
        `_514` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _541

          @NotNull
          public Tuple3<T5,T4,T1> _541()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 1st.
      Specified by:
        `_541` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _451

          @NotNull
          public Tuple3<T4,T5,T1> _451()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 1st.
      Specified by:
        `_451` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _415

          @NotNull
          public Tuple3<T4,T1,T5> _415()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 5th.
      Specified by:
        `_415` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _245

          @NotNull
          public Tuple3<T2,T4,T5> _245()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 5th.
      Specified by:
        `_245` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _254

          @NotNull
          public Tuple3<T2,T5,T4> _254()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 4th.
      Specified by:
        `_254` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _524

          @NotNull
          public Tuple3<T5,T2,T4> _524()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 4th.
      Specified by:
        `_524` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _542

          @NotNull
          public Tuple3<T5,T4,T2> _542()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 2nd.
      Specified by:
        `_542` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _452

          @NotNull
          public Tuple3<T4,T5,T2> _452()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 2nd.
      Specified by:
        `_452` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _425

          @NotNull
          public Tuple3<T4,T2,T5> _425()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 5th.
      Specified by:
        `_425` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _345

          @NotNull
          public Tuple3<T3,T4,T5> _345()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 5th.
      Specified by:
        `_345` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _354

          @NotNull
          public Tuple3<T3,T5,T4> _354()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 4th.
      Specified by:
        `_354` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _534

          @NotNull
          public Tuple3<T5,T3,T4> _534()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 4th.
      Specified by:
        `_534` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _543

          @NotNull
          public Tuple3<T5,T4,T3> _543()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 3rd.
      Specified by:
        `_543` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _453

          @NotNull
          public Tuple3<T4,T5,T3> _453()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 3rd.
      Specified by:
        `_453` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _435

          @NotNull
          public Tuple3<T4,T3,T5> _435()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 5th.
      Specified by:
        `_435` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _126

          @NotNull
          public Tuple3<T1,T2,T6> _126()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 6th.
      Specified by:
        `_126` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _162

          @NotNull
          public Tuple3<T1,T6,T2> _162()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 2nd.
      Specified by:
        `_162` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _612

          @NotNull
          public Tuple3<T6,T1,T2> _612()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 2nd.
      Specified by:
        `_612` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _621

          @NotNull
          public Tuple3<T6,T2,T1> _621()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 1st.
      Specified by:
        `_621` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _261

          @NotNull
          public Tuple3<T2,T6,T1> _261()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 1st.
      Specified by:
        `_261` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _216

          @NotNull
          public Tuple3<T2,T1,T6> _216()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 6th.
      Specified by:
        `_216` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _136

          @NotNull
          public Tuple3<T1,T3,T6> _136()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 6th.
      Specified by:
        `_136` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _163

          @NotNull
          public Tuple3<T1,T6,T3> _163()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 3rd.
      Specified by:
        `_163` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _613

          @NotNull
          public Tuple3<T6,T1,T3> _613()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 3rd.
      Specified by:
        `_613` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _631

          @NotNull
          public Tuple3<T6,T3,T1> _631()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 1st.
      Specified by:
        `_631` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _361

          @NotNull
          public Tuple3<T3,T6,T1> _361()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 1st.
      Specified by:
        `_361` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _316

          @NotNull
          public Tuple3<T3,T1,T6> _316()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 6th.
      Specified by:
        `_316` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _236

          @NotNull
          public Tuple3<T2,T3,T6> _236()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 6th.
      Specified by:
        `_236` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _263

          @NotNull
          public Tuple3<T2,T6,T3> _263()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 3rd.
      Specified by:
        `_263` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _623

          @NotNull
          public Tuple3<T6,T2,T3> _623()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 3rd.
      Specified by:
        `_623` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _632

          @NotNull
          public Tuple3<T6,T3,T2> _632()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 2nd.
      Specified by:
        `_632` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _362

          @NotNull
          public Tuple3<T3,T6,T2> _362()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 2nd.
      Specified by:
        `_362` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _326

          @NotNull
          public Tuple3<T3,T2,T6> _326()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 6th.
      Specified by:
        `_326` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _146

          @NotNull
          public Tuple3<T1,T4,T6> _146()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 6th.
      Specified by:
        `_146` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _164

          @NotNull
          public Tuple3<T1,T6,T4> _164()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 4th.
      Specified by:
        `_164` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _614

          @NotNull
          public Tuple3<T6,T1,T4> _614()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 4th.
      Specified by:
        `_614` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _641

          @NotNull
          public Tuple3<T6,T4,T1> _641()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 1st.
      Specified by:
        `_641` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _461

          @NotNull
          public Tuple3<T4,T6,T1> _461()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 1st.
      Specified by:
        `_461` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _416

          @NotNull
          public Tuple3<T4,T1,T6> _416()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 6th.
      Specified by:
        `_416` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _246

          @NotNull
          public Tuple3<T2,T4,T6> _246()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 6th.
      Specified by:
        `_246` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _264

          @NotNull
          public Tuple3<T2,T6,T4> _264()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 4th.
      Specified by:
        `_264` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _624

          @NotNull
          public Tuple3<T6,T2,T4> _624()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 4th.
      Specified by:
        `_624` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _642

          @NotNull
          public Tuple3<T6,T4,T2> _642()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 2nd.
      Specified by:
        `_642` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _462

          @NotNull
          public Tuple3<T4,T6,T2> _462()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 2nd.
      Specified by:
        `_462` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _426

          @NotNull
          public Tuple3<T4,T2,T6> _426()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 6th.
      Specified by:
        `_426` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _346

          @NotNull
          public Tuple3<T3,T4,T6> _346()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 6th.
      Specified by:
        `_346` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _364

          @NotNull
          public Tuple3<T3,T6,T4> _364()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 4th.
      Specified by:
        `_364` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _634

          @NotNull
          public Tuple3<T6,T3,T4> _634()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 4th.
      Specified by:
        `_634` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _643

          @NotNull
          public Tuple3<T6,T4,T3> _643()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 3rd.
      Specified by:
        `_643` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _463

          @NotNull
          public Tuple3<T4,T6,T3> _463()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 3rd.
      Specified by:
        `_463` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _436

          @NotNull
          public Tuple3<T4,T3,T6> _436()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 6th.
      Specified by:
        `_436` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _156

          @NotNull
          public Tuple3<T1,T5,T6> _156()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 6th.
      Specified by:
        `_156` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _165

          @NotNull
          public Tuple3<T1,T6,T5> _165()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 5th.
      Specified by:
        `_165` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _615

          @NotNull
          public Tuple3<T6,T1,T5> _615()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 5th.
      Specified by:
        `_615` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _651

          @NotNull
          public Tuple3<T6,T5,T1> _651()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 1st.
      Specified by:
        `_651` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _561

          @NotNull
          public Tuple3<T5,T6,T1> _561()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 1st.
      Specified by:
        `_561` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _516

          @NotNull
          public Tuple3<T5,T1,T6> _516()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 6th.
      Specified by:
        `_516` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _256

          @NotNull
          public Tuple3<T2,T5,T6> _256()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 6th.
      Specified by:
        `_256` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _265

          @NotNull
          public Tuple3<T2,T6,T5> _265()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 5th.
      Specified by:
        `_265` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _625

          @NotNull
          public Tuple3<T6,T2,T5> _625()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 5th.
      Specified by:
        `_625` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _652

          @NotNull
          public Tuple3<T6,T5,T2> _652()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 2nd.
      Specified by:
        `_652` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _562

          @NotNull
          public Tuple3<T5,T6,T2> _562()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 2nd.
      Specified by:
        `_562` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _526

          @NotNull
          public Tuple3<T5,T2,T6> _526()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 6th.
      Specified by:
        `_526` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _356

          @NotNull
          public Tuple3<T3,T5,T6> _356()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 6th.
      Specified by:
        `_356` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _365

          @NotNull
          public Tuple3<T3,T6,T5> _365()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 5th.
      Specified by:
        `_365` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _635

          @NotNull
          public Tuple3<T6,T3,T5> _635()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 5th.
      Specified by:
        `_635` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _653

          @NotNull
          public Tuple3<T6,T5,T3> _653()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 3rd.
      Specified by:
        `_653` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _563

          @NotNull
          public Tuple3<T5,T6,T3> _563()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 3rd.
      Specified by:
        `_563` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _536

          @NotNull
          public Tuple3<T5,T3,T6> _536()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 6th.
      Specified by:
        `_536` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _456

          @NotNull
          public Tuple3<T4,T5,T6> _456()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 6th.
      Specified by:
        `_456` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _465

          @NotNull
          public Tuple3<T4,T6,T5> _465()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 5th.
      Specified by:
        `_465` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _645

          @NotNull
          public Tuple3<T6,T4,T5> _645()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 5th.
      Specified by:
        `_645` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _654

          @NotNull
          public Tuple3<T6,T5,T4> _654()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 4th.
      Specified by:
        `_654` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _564

          @NotNull
          public Tuple3<T5,T6,T4> _564()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 4th.
      Specified by:
        `_564` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _546

          @NotNull
          public Tuple3<T5,T4,T6> _546()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 6th.
      Specified by:
        `_546` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _127

          @NotNull
          public Tuple3<T1,T2,T7> _127()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 2nd, 7th.
      Specified by:
        `_127` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _172

          @NotNull
          public Tuple3<T1,T7,T2> _172()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 2nd.
      Specified by:
        `_172` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _712

          @NotNull
          public Tuple3<T7,T1,T2> _712()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 2nd.
      Specified by:
        `_712` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _721

          @NotNull
          public Tuple3<T7,T2,T1> _721()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 1st.
      Specified by:
        `_721` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _271

          @NotNull
          public Tuple3<T2,T7,T1> _271()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 1st.
      Specified by:
        `_271` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _217

          @NotNull
          public Tuple3<T2,T1,T7> _217()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 1st, 7th.
      Specified by:
        `_217` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _137

          @NotNull
          public Tuple3<T1,T3,T7> _137()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 3rd, 7th.
      Specified by:
        `_137` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _173

          @NotNull
          public Tuple3<T1,T7,T3> _173()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 3rd.
      Specified by:
        `_173` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _713

          @NotNull
          public Tuple3<T7,T1,T3> _713()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 3rd.
      Specified by:
        `_713` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _731

          @NotNull
          public Tuple3<T7,T3,T1> _731()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 1st.
      Specified by:
        `_731` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _371

          @NotNull
          public Tuple3<T3,T7,T1> _371()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 1st.
      Specified by:
        `_371` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _317

          @NotNull
          public Tuple3<T3,T1,T7> _317()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 1st, 7th.
      Specified by:
        `_317` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _237

          @NotNull
          public Tuple3<T2,T3,T7> _237()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 3rd, 7th.
      Specified by:
        `_237` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _273

          @NotNull
          public Tuple3<T2,T7,T3> _273()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 3rd.
      Specified by:
        `_273` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _723

          @NotNull
          public Tuple3<T7,T2,T3> _723()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 3rd.
      Specified by:
        `_723` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _732

          @NotNull
          public Tuple3<T7,T3,T2> _732()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 2nd.
      Specified by:
        `_732` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _372

          @NotNull
          public Tuple3<T3,T7,T2> _372()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 2nd.
      Specified by:
        `_372` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _327

          @NotNull
          public Tuple3<T3,T2,T7> _327()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 2nd, 7th.
      Specified by:
        `_327` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _147

          @NotNull
          public Tuple3<T1,T4,T7> _147()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 4th, 7th.
      Specified by:
        `_147` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _174

          @NotNull
          public Tuple3<T1,T7,T4> _174()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 4th.
      Specified by:
        `_174` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _714

          @NotNull
          public Tuple3<T7,T1,T4> _714()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 4th.
      Specified by:
        `_714` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _741

          @NotNull
          public Tuple3<T7,T4,T1> _741()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 1st.
      Specified by:
        `_741` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _471

          @NotNull
          public Tuple3<T4,T7,T1> _471()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 1st.
      Specified by:
        `_471` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _417

          @NotNull
          public Tuple3<T4,T1,T7> _417()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 1st, 7th.
      Specified by:
        `_417` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _247

          @NotNull
          public Tuple3<T2,T4,T7> _247()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 4th, 7th.
      Specified by:
        `_247` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _274

          @NotNull
          public Tuple3<T2,T7,T4> _274()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 4th.
      Specified by:
        `_274` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _724

          @NotNull
          public Tuple3<T7,T2,T4> _724()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 4th.
      Specified by:
        `_724` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _742

          @NotNull
          public Tuple3<T7,T4,T2> _742()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 2nd.
      Specified by:
        `_742` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _472

          @NotNull
          public Tuple3<T4,T7,T2> _472()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 2nd.
      Specified by:
        `_472` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _427

          @NotNull
          public Tuple3<T4,T2,T7> _427()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 2nd, 7th.
      Specified by:
        `_427` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _347

          @NotNull
          public Tuple3<T3,T4,T7> _347()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 4th, 7th.
      Specified by:
        `_347` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _374

          @NotNull
          public Tuple3<T3,T7,T4> _374()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 4th.
      Specified by:
        `_374` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _734

          @NotNull
          public Tuple3<T7,T3,T4> _734()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 4th.
      Specified by:
        `_734` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _743

          @NotNull
          public Tuple3<T7,T4,T3> _743()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 3rd.
      Specified by:
        `_743` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _473

          @NotNull
          public Tuple3<T4,T7,T3> _473()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 3rd.
      Specified by:
        `_473` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _437

          @NotNull
          public Tuple3<T4,T3,T7> _437()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 3rd, 7th.
      Specified by:
        `_437` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _157

          @NotNull
          public Tuple3<T1,T5,T7> _157()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 5th, 7th.
      Specified by:
        `_157` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _175

          @NotNull
          public Tuple3<T1,T7,T5> _175()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 5th.
      Specified by:
        `_175` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _715

          @NotNull
          public Tuple3<T7,T1,T5> _715()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 5th.
      Specified by:
        `_715` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _751

          @NotNull
          public Tuple3<T7,T5,T1> _751()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 1st.
      Specified by:
        `_751` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _571

          @NotNull
          public Tuple3<T5,T7,T1> _571()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 1st.
      Specified by:
        `_571` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _517

          @NotNull
          public Tuple3<T5,T1,T7> _517()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 1st, 7th.
      Specified by:
        `_517` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _257

          @NotNull
          public Tuple3<T2,T5,T7> _257()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 5th, 7th.
      Specified by:
        `_257` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _275

          @NotNull
          public Tuple3<T2,T7,T5> _275()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 5th.
      Specified by:
        `_275` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _725

          @NotNull
          public Tuple3<T7,T2,T5> _725()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 5th.
      Specified by:
        `_725` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _752

          @NotNull
          public Tuple3<T7,T5,T2> _752()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 2nd.
      Specified by:
        `_752` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _572

          @NotNull
          public Tuple3<T5,T7,T2> _572()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 2nd.
      Specified by:
        `_572` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _527

          @NotNull
          public Tuple3<T5,T2,T7> _527()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 2nd, 7th.
      Specified by:
        `_527` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _357

          @NotNull
          public Tuple3<T3,T5,T7> _357()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 5th, 7th.
      Specified by:
        `_357` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _375

          @NotNull
          public Tuple3<T3,T7,T5> _375()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 5th.
      Specified by:
        `_375` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _735

          @NotNull
          public Tuple3<T7,T3,T5> _735()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 5th.
      Specified by:
        `_735` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _753

          @NotNull
          public Tuple3<T7,T5,T3> _753()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 3rd.
      Specified by:
        `_753` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _573

          @NotNull
          public Tuple3<T5,T7,T3> _573()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 3rd.
      Specified by:
        `_573` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _537

          @NotNull
          public Tuple3<T5,T3,T7> _537()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 3rd, 7th.
      Specified by:
        `_537` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _457

          @NotNull
          public Tuple3<T4,T5,T7> _457()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 5th, 7th.
      Specified by:
        `_457` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _475

          @NotNull
          public Tuple3<T4,T7,T5> _475()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 5th.
      Specified by:
        `_475` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _745

          @NotNull
          public Tuple3<T7,T4,T5> _745()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 5th.
      Specified by:
        `_745` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _754

          @NotNull
          public Tuple3<T7,T5,T4> _754()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 4th.
      Specified by:
        `_754` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _574

          @NotNull
          public Tuple3<T5,T7,T4> _574()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 4th.
      Specified by:
        `_574` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _547

          @NotNull
          public Tuple3<T5,T4,T7> _547()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 4th, 7th.
      Specified by:
        `_547` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _167

          @NotNull
          public Tuple3<T1,T6,T7> _167()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 6th, 7th.
      Specified by:
        `_167` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _176

          @NotNull
          public Tuple3<T1,T7,T6> _176()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 1st, 7th, 6th.
      Specified by:
        `_176` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _716

          @NotNull
          public Tuple3<T7,T1,T6> _716()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 1st, 6th.
      Specified by:
        `_716` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _761

          @NotNull
          public Tuple3<T7,T6,T1> _761()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 1st.
      Specified by:
        `_761` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _671

          @NotNull
          public Tuple3<T6,T7,T1> _671()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 1st.
      Specified by:
        `_671` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _617

          @NotNull
          public Tuple3<T6,T1,T7> _617()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 1st, 7th.
      Specified by:
        `_617` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _267

          @NotNull
          public Tuple3<T2,T6,T7> _267()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 6th, 7th.
      Specified by:
        `_267` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _276

          @NotNull
          public Tuple3<T2,T7,T6> _276()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 2nd, 7th, 6th.
      Specified by:
        `_276` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _726

          @NotNull
          public Tuple3<T7,T2,T6> _726()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 2nd, 6th.
      Specified by:
        `_726` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _762

          @NotNull
          public Tuple3<T7,T6,T2> _762()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 2nd.
      Specified by:
        `_762` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _672

          @NotNull
          public Tuple3<T6,T7,T2> _672()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 2nd.
      Specified by:
        `_672` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _627

          @NotNull
          public Tuple3<T6,T2,T7> _627()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 2nd, 7th.
      Specified by:
        `_627` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _367

          @NotNull
          public Tuple3<T3,T6,T7> _367()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 6th, 7th.
      Specified by:
        `_367` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _376

          @NotNull
          public Tuple3<T3,T7,T6> _376()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 3rd, 7th, 6th.
      Specified by:
        `_376` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _736

          @NotNull
          public Tuple3<T7,T3,T6> _736()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 3rd, 6th.
      Specified by:
        `_736` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _763

          @NotNull
          public Tuple3<T7,T6,T3> _763()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 3rd.
      Specified by:
        `_763` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _673

          @NotNull
          public Tuple3<T6,T7,T3> _673()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 3rd.
      Specified by:
        `_673` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _637

          @NotNull
          public Tuple3<T6,T3,T7> _637()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 3rd, 7th.
      Specified by:
        `_637` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _467

          @NotNull
          public Tuple3<T4,T6,T7> _467()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 6th, 7th.
      Specified by:
        `_467` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _476

          @NotNull
          public Tuple3<T4,T7,T6> _476()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 4th, 7th, 6th.
      Specified by:
        `_476` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _746

          @NotNull
          public Tuple3<T7,T4,T6> _746()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 4th, 6th.
      Specified by:
        `_746` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _764

          @NotNull
          public Tuple3<T7,T6,T4> _764()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 4th.
      Specified by:
        `_764` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _674

          @NotNull
          public Tuple3<T6,T7,T4> _674()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 4th.
      Specified by:
        `_674` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _647

          @NotNull
          public Tuple3<T6,T4,T7> _647()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 4th, 7th.
      Specified by:
        `_647` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _567

          @NotNull
          public Tuple3<T5,T6,T7> _567()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 6th, 7th.
      Specified by:
        `_567` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _576

          @NotNull
          public Tuple3<T5,T7,T6> _576()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 5th, 7th, 6th.
      Specified by:
        `_576` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _756

          @NotNull
          public Tuple3<T7,T5,T6> _756()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 5th, 6th.
      Specified by:
        `_756` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _765

          @NotNull
          public Tuple3<T7,T6,T5> _765()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 7th, 6th, 5th.
      Specified by:
        `_765` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _675

          @NotNull
          public Tuple3<T6,T7,T5> _675()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 7th, 5th.
      Specified by:
        `_675` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _657

          @NotNull
          public Tuple3<T6,T5,T7> _657()

      Description copied from interface: `ITuple7`
      Create a new 3-tuple from this one where the elements are ordered: 6th, 5th, 7th.
      Specified by:
        `_657` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _12

          @NotNull
          public Tuple2<T1,T2> _12()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 1st, 2nd.
      Specified by:
        `_12` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _21

          @NotNull
          public Tuple2<T2,T1> _21()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 2nd, 1st.
      Specified by:
        `_21` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _13

          @NotNull
          public Tuple2<T1,T3> _13()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 1st, 3rd.
      Specified by:
        `_13` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _31

          @NotNull
          public Tuple2<T3,T1> _31()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 3rd, 1st.
      Specified by:
        `_31` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _23

          @NotNull
          public Tuple2<T2,T3> _23()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 2nd, 3rd.
      Specified by:
        `_23` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _32

          @NotNull
          public Tuple2<T3,T2> _32()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 3rd, 2nd.
      Specified by:
        `_32` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _14

          @NotNull
          public Tuple2<T1,T4> _14()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 1st, 4th.
      Specified by:
        `_14` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _41

          @NotNull
          public Tuple2<T4,T1> _41()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 4th, 1st.
      Specified by:
        `_41` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _24

          @NotNull
          public Tuple2<T2,T4> _24()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 2nd, 4th.
      Specified by:
        `_24` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _42

          @NotNull
          public Tuple2<T4,T2> _42()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 4th, 2nd.
      Specified by:
        `_42` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _34

          @NotNull
          public Tuple2<T3,T4> _34()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 3rd, 4th.
      Specified by:
        `_34` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _43

          @NotNull
          public Tuple2<T4,T3> _43()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 4th, 3rd.
      Specified by:
        `_43` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _15

          @NotNull
          public Tuple2<T1,T5> _15()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 1st, 5th.
      Specified by:
        `_15` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _51

          @NotNull
          public Tuple2<T5,T1> _51()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 5th, 1st.
      Specified by:
        `_51` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _25

          @NotNull
          public Tuple2<T2,T5> _25()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 2nd, 5th.
      Specified by:
        `_25` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _52

          @NotNull
          public Tuple2<T5,T2> _52()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 5th, 2nd.
      Specified by:
        `_52` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _35

          @NotNull
          public Tuple2<T3,T5> _35()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 3rd, 5th.
      Specified by:
        `_35` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _53

          @NotNull
          public Tuple2<T5,T3> _53()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 5th, 3rd.
      Specified by:
        `_53` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _45

          @NotNull
          public Tuple2<T4,T5> _45()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 4th, 5th.
      Specified by:
        `_45` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _54

          @NotNull
          public Tuple2<T5,T4> _54()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 5th, 4th.
      Specified by:
        `_54` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _16

          @NotNull
          public Tuple2<T1,T6> _16()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 1st, 6th.
      Specified by:
        `_16` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _61

          @NotNull
          public Tuple2<T6,T1> _61()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 6th, 1st.
      Specified by:
        `_61` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _26

          @NotNull
          public Tuple2<T2,T6> _26()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 2nd, 6th.
      Specified by:
        `_26` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _62

          @NotNull
          public Tuple2<T6,T2> _62()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 6th, 2nd.
      Specified by:
        `_62` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _36

          @NotNull
          public Tuple2<T3,T6> _36()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 3rd, 6th.
      Specified by:
        `_36` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _63

          @NotNull
          public Tuple2<T6,T3> _63()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 6th, 3rd.
      Specified by:
        `_63` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _46

          @NotNull
          public Tuple2<T4,T6> _46()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 4th, 6th.
      Specified by:
        `_46` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _64

          @NotNull
          public Tuple2<T6,T4> _64()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 6th, 4th.
      Specified by:
        `_64` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _56

          @NotNull
          public Tuple2<T5,T6> _56()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 5th, 6th.
      Specified by:
        `_56` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _65

          @NotNull
          public Tuple2<T6,T5> _65()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 6th, 5th.
      Specified by:
        `_65` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _17

          @NotNull
          public Tuple2<T1,T7> _17()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 1st, 7th.
      Specified by:
        `_17` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _71

          @NotNull
          public Tuple2<T7,T1> _71()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 7th, 1st.
      Specified by:
        `_71` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _27

          @NotNull
          public Tuple2<T2,T7> _27()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 2nd, 7th.
      Specified by:
        `_27` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _72

          @NotNull
          public Tuple2<T7,T2> _72()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 7th, 2nd.
      Specified by:
        `_72` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _37

          @NotNull
          public Tuple2<T3,T7> _37()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 3rd, 7th.
      Specified by:
        `_37` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _73

          @NotNull
          public Tuple2<T7,T3> _73()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 7th, 3rd.
      Specified by:
        `_73` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _47

          @NotNull
          public Tuple2<T4,T7> _47()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 4th, 7th.
      Specified by:
        `_47` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _74

          @NotNull
          public Tuple2<T7,T4> _74()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 7th, 4th.
      Specified by:
        `_74` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _57

          @NotNull
          public Tuple2<T5,T7> _57()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 5th, 7th.
      Specified by:
        `_57` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _75

          @NotNull
          public Tuple2<T7,T5> _75()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 7th, 5th.
      Specified by:
        `_75` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _67

          @NotNull
          public Tuple2<T6,T7> _67()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 6th, 7th.
      Specified by:
        `_67` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### _76

          @NotNull
          public Tuple2<T7,T6> _76()

      Description copied from interface: `ITuple7`
      Create a new 2-tuple from this one where the elements are ordered: 7th, 6th.
      Specified by:
        `_76` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        reordered tuple

    - #### frozenNotNull

          @NotNull
          public Tuple7<T1,T2,T3,T4,T5,T6,T7> frozenNotNull()

      Description copied from interface: `ITuple7`
      Convert this into an object of a concrete tuple implementation. This is useful because implementations may just be a view of something else. This method makes sure to decouple the tuple from the viewed object. The resulting tuple is guaranteed not to have `null` elements, but if this interface has `null` elements this method will throw a `NullPointerException`.

      See `ITuple7.frozen()` for a method which will not throw exceptions.

      Specified by:
        `frozenNotNull` in interface `ITuple7<T1,T2,T3,T4,T5,T6,T7>`
      Returns:
        standalone tuple object

    - #### x1

          @NotNull
          public <E1> Tuple7<E1,T2,T3,T4,T5,T6,T7> x1(@NotNull
                                                               E1 e1)

      Create a 7-tuple from this one where the first element is exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
      Parameters:
        `e1` - new first element
      Returns:
        tuple with exchanged element

    - #### x2

          @NotNull
          public <E2> Tuple7<T1,E2,T3,T4,T5,T6,T7> x2(@NotNull
                                                               E2 e2)

      Create a 7-tuple from this one where the second element is exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
      Parameters:
        `e2` - new second element
      Returns:
        tuple with exchanged element

    - #### x3

          @NotNull
          public <E3> Tuple7<T1,T2,E3,T4,T5,T6,T7> x3(@NotNull
                                                               E3 e3)

      Create a 7-tuple from this one where the third element is exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
      Parameters:
        `e3` - new third element
      Returns:
        tuple with exchanged element

    - #### x4

          @NotNull
          public <E4> Tuple7<T1,T2,T3,E4,T5,T6,T7> x4(@NotNull
                                                               E4 e4)

      Create a 7-tuple from this one where the fourth element is exchanged.
      Type Parameters:
        `E4` - type of exchanged fourth element
      Parameters:
        `e4` - new fourth element
      Returns:
        tuple with exchanged element

    - #### x5

          @NotNull
          public <E5> Tuple7<T1,T2,T3,T4,E5,T6,T7> x5(@NotNull
                                                               E5 e5)

      Create a 7-tuple from this one where the fifth element is exchanged.
      Type Parameters:
        `E5` - type of exchanged fifth element
      Parameters:
        `e5` - new fifth element
      Returns:
        tuple with exchanged element

    - #### x6

          @NotNull
          public <E6> Tuple7<T1,T2,T3,T4,T5,E6,T7> x6(@NotNull
                                                               E6 e6)

      Create a 7-tuple from this one where the sixth element is exchanged.
      Type Parameters:
        `E6` - type of exchanged sixth element
      Parameters:
        `e6` - new sixth element
      Returns:
        tuple with exchanged element

    - #### x7

          @NotNull
          public <E7> Tuple7<T1,T2,T3,T4,T5,T6,E7> x7(@NotNull
                                                               E7 e7)

      Create a 7-tuple from this one where the seventh element is exchanged.
      Type Parameters:
        `E7` - type of exchanged seventh element
      Parameters:
        `e7` - new seventh element
      Returns:
        tuple with exchanged element

    - #### x12

          @NotNull
          public <E1,E2> Tuple7<E1,E2,T3,T4,T5,T6,T7> x12(@NotNull
                                                                   E1 e1,
                                                                   @NotNull
                                                                   E2 e2)

      Create a 7-tuple from this one where the first and second elements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
      Parameters:
        `e1` - new first element
        `e2` - new second element
      Returns:
        tuple with exchanged elements

    - #### x13

          @NotNull
          public <E1,E3> Tuple7<E1,T2,E3,T4,T5,T6,T7> x13(@NotNull
                                                                   E1 e1,
                                                                   @NotNull
                                                                   E3 e3)

      Create a 7-tuple from this one where the first and third elements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
      Parameters:
        `e1` - new first element
        `e3` - new third element
      Returns:
        tuple with exchanged elements

    - #### x23

          @NotNull
          public <E2,E3> Tuple7<T1,E2,E3,T4,T5,T6,T7> x23(@NotNull
                                                                   E2 e2,
                                                                   @NotNull
                                                                   E3 e3)

      Create a 7-tuple from this one where the second and third elements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
      Parameters:
        `e2` - new second element
        `e3` - new third element
      Returns:
        tuple with exchanged elements

    - #### x14

          @NotNull
          public <E1,E4> Tuple7<E1,T2,T3,E4,T5,T6,T7> x14(@NotNull
                                                                   E1 e1,
                                                                   @NotNull
                                                                   E4 e4)

      Create a 7-tuple from this one where the first and fourth elements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E4` - type of exchanged fourth element
      Parameters:
        `e1` - new first element
        `e4` - new fourth element
      Returns:
        tuple with exchanged elements

    - #### x24

          @NotNull
          public <E2,E4> Tuple7<T1,E2,T3,E4,T5,T6,T7> x24(@NotNull
                                                                   E2 e2,
                                                                   @NotNull
                                                                   E4 e4)

      Create a 7-tuple from this one where the second and fourth elements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
      Parameters:
        `e2` - new second element
        `e4` - new fourth element
      Returns:
        tuple with exchanged elements

    - #### x34

          @NotNull
          public <E3,E4> Tuple7<T1,T2,E3,E4,T5,T6,T7> x34(@NotNull
                                                                   E3 e3,
                                                                   @NotNull
                                                                   E4 e4)

      Create a 7-tuple from this one where the third and fourth elements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
      Parameters:
        `e3` - new third element
        `e4` - new fourth element
      Returns:
        tuple with exchanged elements

    - #### x15

          @NotNull
          public <E1,E5> Tuple7<E1,T2,T3,T4,E5,T6,T7> x15(@NotNull
                                                                   E1 e1,
                                                                   @NotNull
                                                                   E5 e5)

      Create a 7-tuple from this one where the first and fifth elements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E5` - type of exchanged fifth element
      Parameters:
        `e1` - new first element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x25

          @NotNull
          public <E2,E5> Tuple7<T1,E2,T3,T4,E5,T6,T7> x25(@NotNull
                                                                   E2 e2,
                                                                   @NotNull
                                                                   E5 e5)

      Create a 7-tuple from this one where the second and fifth elements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E5` - type of exchanged fifth element
      Parameters:
        `e2` - new second element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x35

          @NotNull
          public <E3,E5> Tuple7<T1,T2,E3,T4,E5,T6,T7> x35(@NotNull
                                                                   E3 e3,
                                                                   @NotNull
                                                                   E5 e5)

      Create a 7-tuple from this one where the third and fifth elements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
      Parameters:
        `e3` - new third element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x45

          @NotNull
          public <E4,E5> Tuple7<T1,T2,T3,E4,E5,T6,T7> x45(@NotNull
                                                                   E4 e4,
                                                                   @NotNull
                                                                   E5 e5)

      Create a 7-tuple from this one where the fourth and fifth elements are exchanged.
      Type Parameters:
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
      Parameters:
        `e4` - new fourth element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x16

          @NotNull
          public <E1,E6> Tuple7<E1,T2,T3,T4,T5,E6,T7> x16(@NotNull
                                                                   E1 e1,
                                                                   @NotNull
                                                                   E6 e6)

      Create a 7-tuple from this one where the first and sixth elements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x26

          @NotNull
          public <E2,E6> Tuple7<T1,E2,T3,T4,T5,E6,T7> x26(@NotNull
                                                                   E2 e2,
                                                                   @NotNull
                                                                   E6 e6)

      Create a 7-tuple from this one where the second and sixth elements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E6` - type of exchanged sixth element
      Parameters:
        `e2` - new second element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x36

          @NotNull
          public <E3,E6> Tuple7<T1,T2,E3,T4,T5,E6,T7> x36(@NotNull
                                                                   E3 e3,
                                                                   @NotNull
                                                                   E6 e6)

      Create a 7-tuple from this one where the third and sixth elements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E6` - type of exchanged sixth element
      Parameters:
        `e3` - new third element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x46

          @NotNull
          public <E4,E6> Tuple7<T1,T2,T3,E4,T5,E6,T7> x46(@NotNull
                                                                   E4 e4,
                                                                   @NotNull
                                                                   E6 e6)

      Create a 7-tuple from this one where the fourth and sixth elements are exchanged.
      Type Parameters:
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e4` - new fourth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x56

          @NotNull
          public <E5,E6> Tuple7<T1,T2,T3,T4,E5,E6,T7> x56(@NotNull
                                                                   E5 e5,
                                                                   @NotNull
                                                                   E6 e6)

      Create a 7-tuple from this one where the fifth and sixth elements are exchanged.
      Type Parameters:
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x17

          @NotNull
          public <E1,E7> Tuple7<E1,T2,T3,T4,T5,T6,E7> x17(@NotNull
                                                                   E1 e1,
                                                                   @NotNull
                                                                   E7 e7)

      Create a 7-tuple from this one where the first and seventh elements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x27

          @NotNull
          public <E2,E7> Tuple7<T1,E2,T3,T4,T5,T6,E7> x27(@NotNull
                                                                   E2 e2,
                                                                   @NotNull
                                                                   E7 e7)

      Create a 7-tuple from this one where the second and seventh elements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x37

          @NotNull
          public <E3,E7> Tuple7<T1,T2,E3,T4,T5,T6,E7> x37(@NotNull
                                                                   E3 e3,
                                                                   @NotNull
                                                                   E7 e7)

      Create a 7-tuple from this one where the third and seventh elements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E7` - type of exchanged seventh element
      Parameters:
        `e3` - new third element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x47

          @NotNull
          public <E4,E7> Tuple7<T1,T2,T3,E4,T5,T6,E7> x47(@NotNull
                                                                   E4 e4,
                                                                   @NotNull
                                                                   E7 e7)

      Create a 7-tuple from this one where the fourth and seventh elements are exchanged.
      Type Parameters:
        `E4` - type of exchanged fourth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e4` - new fourth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x57

          @NotNull
          public <E5,E7> Tuple7<T1,T2,T3,T4,E5,T6,E7> x57(@NotNull
                                                                   E5 e5,
                                                                   @NotNull
                                                                   E7 e7)

      Create a 7-tuple from this one where the fifth and seventh elements are exchanged.
      Type Parameters:
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x67

          @NotNull
          public <E6,E7> Tuple7<T1,T2,T3,T4,T5,E6,E7> x67(@NotNull
                                                                   E6 e6,
                                                                   @NotNull
                                                                   E7 e7)

      Create a 7-tuple from this one where the sixth and seventh elements are exchanged.
      Type Parameters:
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x123

          @NotNull
          public <E1,E2,E3> Tuple7<E1,E2,E3,T4,T5,T6,T7> x123(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E3 e3)

      Create a 7-tuple from this one where the first, second, and thirdelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
      Returns:
        tuple with exchanged elements

    - #### x124

          @NotNull
          public <E1,E2,E4> Tuple7<E1,E2,T3,E4,T5,T6,T7> x124(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E4 e4)

      Create a 7-tuple from this one where the first, second, and fourthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e4` - new fourth element
      Returns:
        tuple with exchanged elements

    - #### x134

          @NotNull
          public <E1,E3,E4> Tuple7<E1,T2,E3,E4,T5,T6,T7> x134(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E4 e4)

      Create a 7-tuple from this one where the first, third, and fourthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e4` - new fourth element
      Returns:
        tuple with exchanged elements

    - #### x234

          @NotNull
          public <E2,E3,E4> Tuple7<T1,E2,E3,E4,T5,T6,T7> x234(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E4 e4)

      Create a 7-tuple from this one where the second, third, and fourthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
      Returns:
        tuple with exchanged elements

    - #### x125

          @NotNull
          public <E1,E2,E5> Tuple7<E1,E2,T3,T4,E5,T6,T7> x125(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E5 e5)

      Create a 7-tuple from this one where the first, second, and fifthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E5` - type of exchanged fifth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x135

          @NotNull
          public <E1,E3,E5> Tuple7<E1,T2,E3,T4,E5,T6,T7> x135(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E5 e5)

      Create a 7-tuple from this one where the first, third, and fifthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x235

          @NotNull
          public <E2,E3,E5> Tuple7<T1,E2,E3,T4,E5,T6,T7> x235(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E5 e5)

      Create a 7-tuple from this one where the second, third, and fifthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x145

          @NotNull
          public <E1,E4,E5> Tuple7<E1,T2,T3,E4,E5,T6,T7> x145(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E5 e5)

      Create a 7-tuple from this one where the first, fourth, and fifthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
      Parameters:
        `e1` - new first element
        `e4` - new fourth element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x245

          @NotNull
          public <E2,E4,E5> Tuple7<T1,E2,T3,E4,E5,T6,T7> x245(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E5 e5)

      Create a 7-tuple from this one where the second, fourth, and fifthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
      Parameters:
        `e2` - new second element
        `e4` - new fourth element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x345

          @NotNull
          public <E3,E4,E5> Tuple7<T1,T2,E3,E4,E5,T6,T7> x345(@NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E5 e5)

      Create a 7-tuple from this one where the third, fourth, and fifthelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
      Parameters:
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x126

          @NotNull
          public <E1,E2,E6> Tuple7<E1,E2,T3,T4,T5,E6,T7> x126(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the first, second, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x136

          @NotNull
          public <E1,E3,E6> Tuple7<E1,T2,E3,T4,T5,E6,T7> x136(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the first, third, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x236

          @NotNull
          public <E2,E3,E6> Tuple7<T1,E2,E3,T4,T5,E6,T7> x236(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the second, third, and sixthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E6` - type of exchanged sixth element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x146

          @NotNull
          public <E1,E4,E6> Tuple7<E1,T2,T3,E4,T5,E6,T7> x146(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the first, fourth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e4` - new fourth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x246

          @NotNull
          public <E2,E4,E6> Tuple7<T1,E2,T3,E4,T5,E6,T7> x246(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the second, fourth, and sixthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e2` - new second element
        `e4` - new fourth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x346

          @NotNull
          public <E3,E4,E6> Tuple7<T1,T2,E3,E4,T5,E6,T7> x346(@NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the third, fourth, and sixthelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e3` - new third element
        `e4` - new fourth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x156

          @NotNull
          public <E1,E5,E6> Tuple7<E1,T2,T3,T4,E5,E6,T7> x156(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the first, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x256

          @NotNull
          public <E2,E5,E6> Tuple7<T1,E2,T3,T4,E5,E6,T7> x256(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the second, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e2` - new second element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x356

          @NotNull
          public <E3,E5,E6> Tuple7<T1,T2,E3,T4,E5,E6,T7> x356(@NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the third, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e3` - new third element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x456

          @NotNull
          public <E4,E5,E6> Tuple7<T1,T2,T3,E4,E5,E6,T7> x456(@NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E6 e6)

      Create a 7-tuple from this one where the fourth, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x127

          @NotNull
          public <E1,E2,E7> Tuple7<E1,E2,T3,T4,T5,T6,E7> x127(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the first, second, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x137

          @NotNull
          public <E1,E3,E7> Tuple7<E1,T2,E3,T4,T5,T6,E7> x137(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the first, third, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x237

          @NotNull
          public <E2,E3,E7> Tuple7<T1,E2,E3,T4,T5,T6,E7> x237(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the second, third, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x147

          @NotNull
          public <E1,E4,E7> Tuple7<E1,T2,T3,E4,T5,T6,E7> x147(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the first, fourth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E4` - type of exchanged fourth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e4` - new fourth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x247

          @NotNull
          public <E2,E4,E7> Tuple7<T1,E2,T3,E4,T5,T6,E7> x247(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the second, fourth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e4` - new fourth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x347

          @NotNull
          public <E3,E4,E7> Tuple7<T1,T2,E3,E4,T5,T6,E7> x347(@NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the third, fourth, and seventhelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e3` - new third element
        `e4` - new fourth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x157

          @NotNull
          public <E1,E5,E7> Tuple7<E1,T2,T3,T4,E5,T6,E7> x157(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the first, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x257

          @NotNull
          public <E2,E5,E7> Tuple7<T1,E2,T3,T4,E5,T6,E7> x257(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the second, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x357

          @NotNull
          public <E3,E5,E7> Tuple7<T1,T2,E3,T4,E5,T6,E7> x357(@NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the third, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e3` - new third element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x457

          @NotNull
          public <E4,E5,E7> Tuple7<T1,T2,T3,E4,E5,T6,E7> x457(@NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the fourth, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e4` - new fourth element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x167

          @NotNull
          public <E1,E6,E7> Tuple7<E1,T2,T3,T4,T5,E6,E7> x167(@NotNull
                                                                       E1 e1,
                                                                       @NotNull
                                                                       E6 e6,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the first, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x267

          @NotNull
          public <E2,E6,E7> Tuple7<T1,E2,T3,T4,T5,E6,E7> x267(@NotNull
                                                                       E2 e2,
                                                                       @NotNull
                                                                       E6 e6,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the second, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x367

          @NotNull
          public <E3,E6,E7> Tuple7<T1,T2,E3,T4,T5,E6,E7> x367(@NotNull
                                                                       E3 e3,
                                                                       @NotNull
                                                                       E6 e6,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the third, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e3` - new third element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x467

          @NotNull
          public <E4,E6,E7> Tuple7<T1,T2,T3,E4,T5,E6,E7> x467(@NotNull
                                                                       E4 e4,
                                                                       @NotNull
                                                                       E6 e6,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the fourth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e4` - new fourth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x567

          @NotNull
          public <E5,E6,E7> Tuple7<T1,T2,T3,T4,E5,E6,E7> x567(@NotNull
                                                                       E5 e5,
                                                                       @NotNull
                                                                       E6 e6,
                                                                       @NotNull
                                                                       E7 e7)

      Create a 7-tuple from this one where the fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1234

          @NotNull
          public <E1,E2,E3,E4> Tuple7<E1,E2,E3,E4,T5,T6,T7> x1234(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4)

      Create a 7-tuple from this one where the first, second, third, and fourthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
      Returns:
        tuple with exchanged elements

    - #### x1235

          @NotNull
          public <E1,E2,E3,E5> Tuple7<E1,E2,E3,T4,E5,T6,T7> x1235(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E5 e5)

      Create a 7-tuple from this one where the first, second, third, and fifthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x1245

          @NotNull
          public <E1,E2,E4,E5> Tuple7<E1,E2,T3,E4,E5,T6,T7> x1245(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5)

      Create a 7-tuple from this one where the first, second, fourth, and fifthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e4` - new fourth element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x1345

          @NotNull
          public <E1,E3,E4,E5> Tuple7<E1,T2,E3,E4,E5,T6,T7> x1345(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5)

      Create a 7-tuple from this one where the first, third, fourth, and fifthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x2345

          @NotNull
          public <E2,E3,E4,E5> Tuple7<T1,E2,E3,E4,E5,T6,T7> x2345(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5)

      Create a 7-tuple from this one where the second, third, fourth, and fifthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x1236

          @NotNull
          public <E1,E2,E3,E6> Tuple7<E1,E2,E3,T4,T5,E6,T7> x1236(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the first, second, third, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x1246

          @NotNull
          public <E1,E2,E4,E6> Tuple7<E1,E2,T3,E4,T5,E6,T7> x1246(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the first, second, fourth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e4` - new fourth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x1346

          @NotNull
          public <E1,E3,E4,E6> Tuple7<E1,T2,E3,E4,T5,E6,T7> x1346(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the first, third, fourth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e4` - new fourth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x2346

          @NotNull
          public <E2,E3,E4,E6> Tuple7<T1,E2,E3,E4,T5,E6,T7> x2346(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the second, third, fourth, and sixthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x1256

          @NotNull
          public <E1,E2,E5,E6> Tuple7<E1,E2,T3,T4,E5,E6,T7> x1256(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the first, second, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x1356

          @NotNull
          public <E1,E3,E5,E6> Tuple7<E1,T2,E3,T4,E5,E6,T7> x1356(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the first, third, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x2356

          @NotNull
          public <E2,E3,E5,E6> Tuple7<T1,E2,E3,T4,E5,E6,T7> x2356(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the second, third, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x1456

          @NotNull
          public <E1,E4,E5,E6> Tuple7<E1,T2,T3,E4,E5,E6,T7> x1456(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the first, fourth, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x2456

          @NotNull
          public <E2,E4,E5,E6> Tuple7<T1,E2,T3,E4,E5,E6,T7> x2456(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the second, fourth, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e2` - new second element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x3456

          @NotNull
          public <E3,E4,E5,E6> Tuple7<T1,T2,E3,E4,E5,E6,T7> x3456(@NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6)

      Create a 7-tuple from this one where the third, fourth, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x1237

          @NotNull
          public <E1,E2,E3,E7> Tuple7<E1,E2,E3,T4,T5,T6,E7> x1237(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, second, third, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1247

          @NotNull
          public <E1,E2,E4,E7> Tuple7<E1,E2,T3,E4,T5,T6,E7> x1247(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, second, fourth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e4` - new fourth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1347

          @NotNull
          public <E1,E3,E4,E7> Tuple7<E1,T2,E3,E4,T5,T6,E7> x1347(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, third, fourth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e4` - new fourth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x2347

          @NotNull
          public <E2,E3,E4,E7> Tuple7<T1,E2,E3,E4,T5,T6,E7> x2347(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the second, third, fourth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1257

          @NotNull
          public <E1,E2,E5,E7> Tuple7<E1,E2,T3,T4,E5,T6,E7> x1257(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, second, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1357

          @NotNull
          public <E1,E3,E5,E7> Tuple7<E1,T2,E3,T4,E5,T6,E7> x1357(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, third, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x2357

          @NotNull
          public <E2,E3,E5,E7> Tuple7<T1,E2,E3,T4,E5,T6,E7> x2357(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the second, third, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1457

          @NotNull
          public <E1,E4,E5,E7> Tuple7<E1,T2,T3,E4,E5,T6,E7> x1457(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, fourth, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e4` - new fourth element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x2457

          @NotNull
          public <E2,E4,E5,E7> Tuple7<T1,E2,T3,E4,E5,T6,E7> x2457(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the second, fourth, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e4` - new fourth element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x3457

          @NotNull
          public <E3,E4,E5,E7> Tuple7<T1,T2,E3,E4,E5,T6,E7> x3457(@NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the third, fourth, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1267

          @NotNull
          public <E1,E2,E6,E7> Tuple7<E1,E2,T3,T4,T5,E6,E7> x1267(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, second, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1367

          @NotNull
          public <E1,E3,E6,E7> Tuple7<E1,T2,E3,T4,T5,E6,E7> x1367(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, third, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x2367

          @NotNull
          public <E2,E3,E6,E7> Tuple7<T1,E2,E3,T4,T5,E6,E7> x2367(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the second, third, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1467

          @NotNull
          public <E1,E4,E6,E7> Tuple7<E1,T2,T3,E4,T5,E6,E7> x1467(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, fourth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e4` - new fourth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x2467

          @NotNull
          public <E2,E4,E6,E7> Tuple7<T1,E2,T3,E4,T5,E6,E7> x2467(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the second, fourth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e4` - new fourth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x3467

          @NotNull
          public <E3,E4,E6,E7> Tuple7<T1,T2,E3,E4,T5,E6,E7> x3467(@NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the third, fourth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e3` - new third element
        `e4` - new fourth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x1567

          @NotNull
          public <E1,E5,E6,E7> Tuple7<E1,T2,T3,T4,E5,E6,E7> x1567(@NotNull
                                                                           E1 e1,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the first, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x2567

          @NotNull
          public <E2,E5,E6,E7> Tuple7<T1,E2,T3,T4,E5,E6,E7> x2567(@NotNull
                                                                           E2 e2,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the second, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x3567

          @NotNull
          public <E3,E5,E6,E7> Tuple7<T1,T2,E3,T4,E5,E6,E7> x3567(@NotNull
                                                                           E3 e3,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the third, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e3` - new third element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x4567

          @NotNull
          public <E4,E5,E6,E7> Tuple7<T1,T2,T3,E4,E5,E6,E7> x4567(@NotNull
                                                                           E4 e4,
                                                                           @NotNull
                                                                           E5 e5,
                                                                           @NotNull
                                                                           E6 e6,
                                                                           @NotNull
                                                                           E7 e7)

      Create a 7-tuple from this one where the fourth, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x12345

          @NotNull
          public <E1,E2,E3,E4,E5> Tuple7<E1,E2,E3,E4,E5,T6,T7> x12345(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5)

      Create a 7-tuple from this one where the first, second, third, fourth, and fifthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
      Returns:
        tuple with exchanged elements

    - #### x12346

          @NotNull
          public <E1,E2,E3,E4,E6> Tuple7<E1,E2,E3,E4,T5,E6,T7> x12346(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E6 e6)

      Create a 7-tuple from this one where the first, second, third, fourth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x12356

          @NotNull
          public <E1,E2,E3,E5,E6> Tuple7<E1,E2,E3,T4,E5,E6,T7> x12356(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6)

      Create a 7-tuple from this one where the first, second, third, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x12456

          @NotNull
          public <E1,E2,E4,E5,E6> Tuple7<E1,E2,T3,E4,E5,E6,T7> x12456(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6)

      Create a 7-tuple from this one where the first, second, fourth, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x13456

          @NotNull
          public <E1,E3,E4,E5,E6> Tuple7<E1,T2,E3,E4,E5,E6,T7> x13456(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6)

      Create a 7-tuple from this one where the first, third, fourth, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x23456

          @NotNull
          public <E2,E3,E4,E5,E6> Tuple7<T1,E2,E3,E4,E5,E6,T7> x23456(@NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6)

      Create a 7-tuple from this one where the second, third, fourth, fifth, and sixthelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
      Returns:
        tuple with exchanged elements

    - #### x12347

          @NotNull
          public <E1,E2,E3,E4,E7> Tuple7<E1,E2,E3,E4,T5,T6,E7> x12347(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, second, third, fourth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x12357

          @NotNull
          public <E1,E2,E3,E5,E7> Tuple7<E1,E2,E3,T4,E5,T6,E7> x12357(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, second, third, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x12457

          @NotNull
          public <E1,E2,E4,E5,E7> Tuple7<E1,E2,T3,E4,E5,T6,E7> x12457(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, second, fourth, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e4` - new fourth element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x13457

          @NotNull
          public <E1,E3,E4,E5,E7> Tuple7<E1,T2,E3,E4,E5,T6,E7> x13457(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, third, fourth, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x23457

          @NotNull
          public <E2,E3,E4,E5,E7> Tuple7<T1,E2,E3,E4,E5,T6,E7> x23457(@NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the second, third, fourth, fifth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x12367

          @NotNull
          public <E1,E2,E3,E6,E7> Tuple7<E1,E2,E3,T4,T5,E6,E7> x12367(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, second, third, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e3` - new third element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x12467

          @NotNull
          public <E1,E2,E4,E6,E7> Tuple7<E1,E2,T3,E4,T5,E6,E7> x12467(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, second, fourth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e4` - new fourth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x13467

          @NotNull
          public <E1,E3,E4,E6,E7> Tuple7<E1,T2,E3,E4,T5,E6,E7> x13467(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, third, fourth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e4` - new fourth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x23467

          @NotNull
          public <E2,E3,E4,E6,E7> Tuple7<T1,E2,E3,E4,T5,E6,E7> x23467(@NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the second, third, fourth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e4` - new fourth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x12567

          @NotNull
          public <E1,E2,E5,E6,E7> Tuple7<E1,E2,T3,T4,E5,E6,E7> x12567(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, second, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E2` - type of exchanged second element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e2` - new second element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x13567

          @NotNull
          public <E1,E3,E5,E6,E7> Tuple7<E1,T2,E3,T4,E5,E6,E7> x13567(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, third, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e3` - new third element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x23567

          @NotNull
          public <E2,E3,E5,E6,E7> Tuple7<T1,E2,E3,T4,E5,E6,E7> x23567(@NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the second, third, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E3` - type of exchanged third element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e3` - new third element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x14567

          @NotNull
          public <E1,E4,E5,E6,E7> Tuple7<E1,T2,T3,E4,E5,E6,E7> x14567(@NotNull
                                                                               E1 e1,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the first, fourth, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E1` - type of exchanged first element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e1` - new first element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x24567

          @NotNull
          public <E2,E4,E5,E6,E7> Tuple7<T1,E2,T3,E4,E5,E6,E7> x24567(@NotNull
                                                                               E2 e2,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the second, fourth, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E2` - type of exchanged second element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e2` - new second element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### x34567

          @NotNull
          public <E3,E4,E5,E6,E7> Tuple7<T1,T2,E3,E4,E5,E6,E7> x34567(@NotNull
                                                                               E3 e3,
                                                                               @NotNull
                                                                               E4 e4,
                                                                               @NotNull
                                                                               E5 e5,
                                                                               @NotNull
                                                                               E6 e6,
                                                                               @NotNull
                                                                               E7 e7)

      Create a 7-tuple from this one where the third, fourth, fifth, sixth, and seventhelements are exchanged.
      Type Parameters:
        `E3` - type of exchanged third element
        `E4` - type of exchanged fourth element
        `E5` - type of exchanged fifth element
        `E6` - type of exchanged sixth element
        `E7` - type of exchanged seventh element
      Parameters:
        `e3` - new third element
        `e4` - new fourth element
        `e5` - new fifth element
        `e6` - new sixth element
        `e7` - new seventh element
      Returns:
        tuple with exchanged elements

    - #### i1

          @NotNull
          public <T> Tuple8<T,T1,T2,T3,T4,T5,T6,T7> i1(@NotNull
                                                                T e1)

      Create a 8-tuple from this 7-tuple by inserting a new first element.
      Type Parameters:
        `T` - new element type
      Parameters:
        `e1` - new element
      Returns:
        8-tuple

    - #### i2

          @NotNull
          public <T> Tuple8<T1,T,T2,T3,T4,T5,T6,T7> i2(@NotNull
                                                                T e2)

      Create a 8-tuple from this 7-tuple by inserting a new second element.
      Type Parameters:
        `T` - new element type
      Parameters:
        `e2` - new element
      Returns:
        8-tuple

    - #### i3

          @NotNull
          public <T> Tuple8<T1,T2,T,T3,T4,T5,T6,T7> i3(@NotNull
                                                                T e3)

      Create a 8-tuple from this 7-tuple by inserting a new third element.
      Type Parameters:
        `T` - new element type
      Parameters:
        `e3` - new element
      Returns:
        8-tuple

    - #### i4

          @NotNull
          public <T> Tuple8<T1,T2,T3,T,T4,T5,T6,T7> i4(@NotNull
                                                                T e4)

      Create a 8-tuple from this 7-tuple by inserting a new fourth element.
      Type Parameters:
        `T` - new element type
      Parameters:
        `e4` - new element
      Returns:
        8-tuple

    - #### i5

          @NotNull
          public <T> Tuple8<T1,T2,T3,T4,T,T5,T6,T7> i5(@NotNull
                                                                T e5)

      Create a 8-tuple from this 7-tuple by inserting a new fifth element.
      Type Parameters:
        `T` - new element type
      Parameters:
        `e5` - new element
      Returns:
        8-tuple

    - #### i6

          @NotNull
          public <T> Tuple8<T1,T2,T3,T4,T5,T,T6,T7> i6(@NotNull
                                                                T e6)

      Create a 8-tuple from this 7-tuple by inserting a new sixth element.
      Type Parameters:
        `T` - new element type
      Parameters:
        `e6` - new element
      Returns:
        8-tuple

    - #### i7

          @NotNull
          public <T> Tuple8<T1,T2,T3,T4,T5,T6,T,T7> i7(@NotNull
                                                                T e7)

      Create a 8-tuple from this 7-tuple by inserting a new seventh element.
      Type Parameters:
        `T` - new element type
      Parameters:
        `e7` - new element
      Returns:
        8-tuple

    - #### i8

          @NotNull
          public <T> Tuple8<T1,T2,T3,T4,T5,T6,T7,T> i8(@NotNull
                                                                T e8)

      Create a 8-tuple from this 7-tuple by adding a new eighth element.
      Type Parameters:
        `T` - new element type
      Parameters:
        `e8` - new element
      Returns:
        8-tuple

    - #### toString

          @NotNull
          public java.lang.String toString()

      Overrides:
        `toString` in class `ITuple7.Base<T1,T2,T3,T4,T5,T6,T7>`